<?php
    class comments extends Controller{
		
        

        
        public function getAll()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/
            
            // get all comments
            $dataView['comments'] =  $this->loadModel("OfferCommentsModel")->retrieveAllData("where `deleted` =? ",array(1));
            if(is_array($dataView['comments']))
			{
				foreach ($dataView['comments'] as $key=>$value):
					$dataView['created_by'][$key]=$this->loadModel("UserModel")->retriveDataById('id',$value['created_by']);
					$dataView['offerName'][$key]=$this->loadModel("OfferEnModel")->retriveDataById('id_offer',$value['id_offer']);
					endforeach;
			}
            

			$dataView['title'] = "Show / Edit Comments";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH . "comments" . DIRECTORY_SEPARATOR . "comment_getall";
            // load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
        
        public function edit_selected()
		{
			/******** start header code ********/
			if (FALSE !== $this->loadHelper("UserHelper")->check_user_login()) {
				// get user id from session
				$user_id = $this->loadSession()->getSession("user_id");
				// get user data for header
				$dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id", $user_id);
				if ($dataView['userData'] == NULL) {
					$this->redirect("Errors", "index");
					exit();
				}
			} else {
				$this->redirect("admin", "login");
			}

			/******* end header code *******/
			// get id from url
			$id = (int)$this->loadRoute()->getSegment(2);
			if ($id == 0) {
				$this->redirect("Errors", "index");
				exit();
			}
			$dataView['comment'] = $this->loadModel("OfferCommentsModel")->retrieveAllData("WHERE `id` =?  AND `deleted` =?", array($id, 1));
			if ($dataView['comment'] == NULL) {
				$this->redirect("Errors", "index");
				exit();
			}
			$dataView['comment'] = array_shift($dataView['comment']);


			//start Edit employee
			if (isset($_POST['edit'])) {

				// preparing validation array
				$validationArray = array(
					"comment" => array(
						"value" => $this->loadSecurity($_POST['comment'])->clear(),
						"errorName" => "Comment",
						"rules" => "required|min-length[3]|max-length[50]"
					),

				);
				// load validation classs and pass validation data
				$dataValid = $this->loadValidation($validationArray)->formValidate();
				// check if the data is ok
				if (is_array($dataValid) && array_key_exists("success", $dataValid)) {

					// preparing user model
					$userModel['comment'] = $dataValid['success']['comment'];
					$updatecomment = $this->loadModel("OfferCommentsModel", $userModel)->updateData("id", $id);
					$dataView['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Data Updated Successfully Please Wait .. </div>';
					header("Refresh: 2");
				} else {
					$dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>' . $dataValid . '</div>';

				}
			}


				// set page title
				$dataView['title'] = "Edit Comment";
				// global Template Config
				global $TEMPLATE_BACK_END;
				// set content
				$TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH . "comments" . DIRECTORY_SEPARATOR . "comments_edit_selected";
				// load template
				$this->loadTemplate($TEMPLATE_BACK_END, $dataView)->render();

			}



        
        public function updateStatus()
        {
                if(isset($_POST['action'],$_POST['id'],$_POST['status']) && $_POST['action'] == "updateStatus")
                {
                    // get User id
                    $id = (int)$_POST['id'];
                    if($id == 0)
                    {
                        $this->redirect("Errors","index");
                        exit;
                    }else{
                        // get current status
                        $currentStatus = $_POST['status'];
                        // if current status = on set it off
                        if($currentStatus == "on")
                        {
                            $setStatus = 2;
                        }else{
                            $setStatus = 1;
                        }
                        $dataModel['status'] = $setStatus;
                        // get user id from session
                        $dataModel['last_updated_by'] = $this->loadSession()->getSession("user_id");
                        if(false !== $this->loadModel("OfferCommentsModel",$dataModel)->updateData("id", $id))
                        {
                            // update employee table
                            echo $this->loadAjax()->DataToJson(array("status"=>"success"));
                            exit;
                        }else{
                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));
                            exit;
                        }
                    }
                }
         }
        public function update_image()
        {
                //get id
                $id = (int)$_POST['field_id'];
                 if($id == 0)
                {
                    $this->redirect("Errors","index");
                    exit;
                }else{
                        $upload = $this->loadUpload("image_name")->do_upload();
                       // check if there is error on image
                       if(array_key_exists("uploadError",$upload))
                       {
                           echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                            exit;

                       }else{
                           // get user id from session
                           $last_updated_by = $this->loadSession()->getSession("user_id");
                           $dataModel['photo'] = $upload['uploaded'][0];
                           $dataModel['last_updated_by'] = $last_updated_by;
                           
                           if(false !== $this->loadModel("UserModel",$dataModel)->updateData("id", $id))
                           {
                               // update employee table
                               $this->loadModel("EmployeeModel",array("last_updated_by"=>$last_updated_by))->updateData("user_id",$id);
                               echo $this->loadAjax()->DataToJson(array("status"=>"success","newImage"=>$dataModel['photo']));
                               exit; 
                           }else{
                              echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                            exit;
                           }
                       }
                    }  
        }
        public function delete()
        {
                if(isset($_POST['action'],$_POST['id']) && $_POST['action'] == "deleteData")
                {
                    $id = (int)$_POST['id'];
                    if($id == 0)
                    {
                        $this->redirect("Errors","index");
                        exit;
                    }else{
                        // get user id from session
                        $last_updated_by = $this->loadSession()->getSession("user_id");
                        if(FALSE !== $this->loadModel("OfferCommentsModel",array("deleted"=>2,"last_updated_by"=>$last_updated_by))->updateData("id", $id))
                        {
                            // update employee table
                            echo $this->loadAjax()->DataToJson(array("status"=>"success"));
                            exit;
                        }else{
                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));
                            exit;
                        }
                    }
                 }
         }
        public function update_password()
        {
            if(isset($_POST['action']) && $_POST['action'] == 'editPass')
            {
               // preparing validation array
                $validationArray = array(
                                        "user_id"=>array(
                                                             "value"=>$this->loadSecurity($_POST['user_id'])->clear(),
                                                             "errorName"=>"User Id",
                                                             "rules"=>"required|number"
                                                          ),
                                            "password"=>array(
                                                             "value"=>$this->loadSecurity($_POST['password'])->clear(),
                                                             "errorName"=>"New Password",
                                                             "rules"=>"required|min-length[6]|sha1_md5"
                                                          ),
                                            "re_password"=>array(
                                                             "value"=>$this->loadSecurity(sha1(md5($_POST['repassword'])))->clear(),
                                                             "errorName"=>"Re-Password",
                                                             "rules"=>"required|match[password]"
                                                          )
                                  );
                // load validation classs and pass validation data
                $dataValid = $this->loadValidation($validationArray)->formValidate();
                // check if the data is ok
                if(is_array($dataValid) && array_key_exists("success",$dataValid))
                {
                    $user_id = $dataValid['success']['user_id'];
                    // unset old password from success array
                    unset($dataValid['success']['re_password']);
                    unset($dataValid['success']['user_id']);
                    // get user id from session
                    $dataValid['success']['last_updated_by'] = $this->loadSession()->getSession("user_id");
                    if(false !== $this->loadModel("UserModel",$dataValid['success'])->updateData("id",$user_id))
                    {
                        $response['status'] = "success";
                        $response['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Data Updated Successfully. </div>';
                        echo $this->loadAjax()->DataToJson($response);
                        exit;
                    }else{
                        $response['status'] = "faild";
                        $response['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Updating Your Data</div>';
                        echo $this->loadAjax()->DataToJson($response);
                        exit;
                    }
                    
                }else{
                    $response['status'] = "faild";
                    $response['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';
                    echo $this->loadAjax()->DataToJson($response);
                    exit;
                } 
            }
        }
        public function update_ssn_image()
        {
                //get id
                $id = (int)$_POST['field_id'];
                 if($id == 0)
                {
                    echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                    exit;
                }else{
                        $upload = $this->loadUpload("image_name")->do_upload();
                       // check if there is error on image
                       if(array_key_exists("uploadError",$upload))
                       {
                           echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                            exit;

                       }else{
                           $dataModel['ssn_image'] = $upload['uploaded'][0];
                           if(false !== $this->loadModel("EmployeeModel",$dataModel)->updateData("user_id", $id))
                           {
                               echo $this->loadAjax()->DataToJson(array("status"=>"success","newImage"=>$dataModel['ssn_image']));
                                exit; 
                           }else{
                              echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                             exit;
                           }
                       }
                    }  
        }
        
    }

?>