<?php
    class CustomerOrder extends Controller{
		
        public function GetTodayOrders()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }
            /******* end header code *******/
            //define date
			$today = date('Y/m/d');
			$dataView['orders']=$this->loadModel("CustomerOrderModel")->retrieveAllData("WHERE `created` >=? AND `deleted` =?",array(strtotime($today),1));
			//get order data
			if(is_array($dataView['orders']))
			{
				foreach ($dataView['orders'] as $key =>$value):
					//get order status
                    // get order status
                    $oderLastStatus = $this->loadModel("TrackingOrderStatus")->retrieveAllData("WHERE `id_order` = ?AND `deleted` =? ORDER BY `id` DESC LIMIT 1",array($value['id'],1));
					$dataView['OrderStatus_ar'][$key]=$this->loadModel("OrderStatusArModel")->retriveDataById('id_order_status',$oderLastStatus[0]['id_order_status']);
					$dataView['OrderStatus_En'][$key]=$this->loadModel("OrderStatusEnModel")->retriveDataById('id_order_status',$oderLastStatus[0]['id_order_status']);
					$dataView['cutomer'][]=$this->loadModel("UserModel")->retriveDataById('id',$value['id_customer']);
					$dataView['TrckingOrderStatus']=$this->loadModel("TrackingOrderStatus")->retrieveAllData("WHERE `id_order`=? and `deleted`=? ORDER By Id DESC LIMIT 1",array($value['id'],1));
					$dataView['TrckingOrderStatus'][$key]=array_shift($dataView['TrckingOrderStatus']);
					$dataView['Status_En'][$key]=$this->loadModel("OrderStatusEnModel")->retriveDataById('id_order_status',$dataView['TrckingOrderStatus'][$key]['id_order_status']);
					$dataView['Status_Ar'][$key]=$this->loadModel("OrderStatusArModel")->retriveDataById('id_order_status',$dataView['TrckingOrderStatus'][$key]['id_order_status']);

				endforeach;
			}
			$dataView['orderInDetails']=$this->loadModel("CustomerOrderModelDetails")->retrieveAllData("Where `created` >=? AND `deleted`=?",array(strtotime($today),1));
            $dataView['title'] = "Show Today Orders";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
			$TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH . "order" . DIRECTORY_SEPARATOR ."order_today_getall";
			// load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
        public function GetMonthlyOrders()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);

                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/
			//define date
			$MonthlyOrders=date('Y/m/01');
			//$dataView['orders']=$this->loadModel("CustomerOrderModel")->retrieveAllData("WHERE `created` >=? AND `deleted` =?",array(strtotime($MonthlyOrders),1));
			$dataView['orders']=$this->loadModel("CustomerOrderModel")->retrieveAllData("WHERE `created` >=? AND `deleted` =?",array(strtotime($MonthlyOrders),1));
			//get order data
			if(is_array($dataView['orders']))
			{
				foreach ($dataView['orders'] as $key =>$value):
					//get order status
				//	$dataView['OrderStatus_ar'][$key]=$this->loadModel("OrderStatusArModel")->retriveDataById('id_order_status',$value['id_order_status']);
				//	$dataView['OrderStatus_En'][$key]=$this->loadModel("OrderStatusEnModel")->retriveDataById('id_order_status',$value['id_order_status']);
					$dataView['cutomer'][$key]=$this->loadModel("UserModel")->retriveDataById('id',$value['id_customer']);
					$dataView['TrckingOrderStatus']=$this->loadModel("TrackingOrderStatus")->retrieveAllData("WHERE `id_order`=? and `deleted`=? ORDER By Id DESC LIMIT 1",array($value['id'],1));
					//var_dump($dataView['TrckingOrderStatus']);
					if(is_array($dataView['TrckingOrderStatus']))
					{
						$dataView['TrckingOrderStatus'][$key]=array_shift($dataView['TrckingOrderStatus']);

					}
					$dataView['Status_En'][$key]=$this->loadModel("OrderStatusEnModel")->retriveDataById('id_order_status',$dataView['TrckingOrderStatus'][$key]['id_order_status']);
					$dataView['Status_Ar'][$key]=$this->loadModel("OrderStatusArModel")->retriveDataById('id_order_status',$dataView['TrckingOrderStatus'][$key]['id_order_status']);

				endforeach;
			}
			$dataView['orderInDetails']=$this->loadModel("CustomerOrderModelDetails")->retrieveAllData("Where `created` >=? AND `deleted`=?",array(strtotime($MonthlyOrders),1));
            $dataView['title'] = "Show Month Orders";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
			$TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH . "order" . DIRECTORY_SEPARATOR ."orders_month_getall";
			// load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
        public function GetReport()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/

            if(isset($_POST['search']))
            {
						// prpare adat for validation
						$validation_array = array(
											"date_from"=>array(
												"value"=>$this->loadSecurity($_POST['dateFrom'])->clear(),
												"errorName"=>"Date From",
												"rules"=>"required"
											),
											"date_to"=>array(
												"value"=>$this->loadSecurity($_POST['dateTo'])->clear(),
												"errorName"=>"Date To",
												"rules"=>"required"
											),
						);

						//start validation proccess
				$dataAfterValidation=$this->loadValidation($validation_array)->formValidate();
				// check data valid or not valid
				if(is_array($dataAfterValidation) && array_key_exists("success",$dataAfterValidation))
				{
					// get order data
					$dataView['orders']=$this->loadModel("CustomerOrderModel")->retrieveAllData("WHERE `created` BETWEEN ? AND ? AND `deleted` =?",array(strtotime($dataAfterValidation['success']['date_from']),strtotime($dataAfterValidation['success']['date_to']),1));
					//get order data
					if(is_array($dataView['orders']))
					{
						foreach ($dataView['orders'] as $key =>$value):
							//get order status
					//		$dataView['OrderStatus_ar'][$key]=$this->loadModel("OrderStatusArModel")->retriveDataById('id_order_status',$value['id_order_status']);
					//		$dataView['OrderStatus_En'][$key]=$this->loadModel("OrderStatusEnModel")->retriveDataById('id_order_status',$value['id_order_status']);
							$dataView['cutomer'][$key]=$this->loadModel("UserModel")->retriveDataById('id',$value['id_customer']);
							$dataView['TrckingOrderStatus']=$this->loadModel("TrackingOrderStatus")->retrieveAllData("WHERE `id_order`=? and `deleted`=? ORDER By Id DESC LIMIT 1",array($value['id'],1));
							if(is_array($dataView['TrckingOrderStatus']))
							{
								$dataView['TrckingOrderStatus'][$key]=array_shift($dataView['TrckingOrderStatus']);

							}
							$dataView['Status_En'][$key]=$this->loadModel("OrderStatusEnModel")->retriveDataById('id_order_status',$dataView['TrckingOrderStatus'][$key]['id_order_status']);
							$dataView['Status_Ar'][$key]=$this->loadModel("OrderStatusArModel")->retriveDataById('id_order_status',$dataView['TrckingOrderStatus'][$key]['id_order_status']);

						endforeach;
					}
					//get order details
					$dataView['orderInDetails']=$this->loadModel("CustomerOrderModelDetails")->retrieveAllData("WHERE `created` BETWEEN ? AND ? AND `deleted` =?",array(strtotime($dataAfterValidation['success']['date_from']),strtotime($dataAfterValidation['success']['date_to']),1));
				}else{
					$dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataAfterValidation.'</div>';
				}
			}
            $dataView['title'] = "Make Orders Report";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
			$TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH . "order" . DIRECTORY_SEPARATOR ."orderreport";
            // load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }

        public function show_selected()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/
            //get offer id from url
			$id=$this->loadRoute()->getSegment(2);
			if($id==0)
			{
				$this->redirect("Errors","index");
				exit();
			}
			// check id is valid or not
			$dataView['orderdetails']=$this->loadModel("CustomerOrderModel")->retriveDataById('id',$id);
			// send customer id to view to  asign star to get data to customer

			if($dataView['orderdetails']==null)
			{
				$this->redirect("Errors","index");
				exit();
			}
			// get order data
			$dataView['order']=$this->loadModel("CustomerOrderModel")->retriveDataById('id',$id);

			//get userAddress and orderStarDetails
			if(is_array($dataView['order']))
			{
				$dataView['UserAddress']=$this->loadModel("UserAddressModel")->retriveDataById('id',$dataView['order']['id_address']);
				//$dataView['OrderStatus_En']=$this->loadModel("OrderStatusEnModel")->retriveDataById('id_order_status',$dataView['order']['id_order_status']);
			}
            // get payment way
            $dataView['paymentWay'] = $this->loadModel("PaymentWayEnModel")->retriveDataById('id_payment',$dataView['order']['id_payment_way']);
            
            if($dataView['order']['delivery_time'] == 2)
            {
                $dataView['deliveryDate'] = $this->loadModel("OrderDeliveryTimeModel")->retriveDataById('id_order',$dataView['order']['id']);
            }

			//getCityName
			if(is_array($dataView['UserAddress']))
			{
				$dataView['city']=$this->loadModel("CityEnModel")->retriveDataById('id_city',$dataView['UserAddress']['id_city']);
			}
			//get all order sstatus
			$dataView['allOrderStatus']=$this->loadModel("OrderStatusModel")->retrieveAllData("WHERE `deleted`=?",array(1));
			if(is_array($dataView['allOrderStatus']))
			{
				foreach ($dataView['allOrderStatus']as $key=>$value):
					$dataView['OrderStatus_En'][$key]=$this->loadModel("OrderStatusEnModel")->retriveDataById('id_order_status',$value['id']);
					$dataView['OrderStatus_Ar'][$key]=$this->loadModel("OrderStatusArModel")->retriveDataById('id_order_status',$value['id']);
					endforeach;
			}
			//send odderid to view
			$dataView['id']=$id;


			//print_r($dataView['UserAddress']);
			//get order details
			$dataView['orderInDetails']=$this->loadModel("CustomerOrderModelDetails")->retrieveAllData('WHERE `id_order` =? AND `deleted`=?',array($id,1));
			if(is_array($dataView['orderInDetails']))
			{
				foreach ($dataView['orderInDetails'] as $key =>$value):
					//get product name eng and ar
					$dataView['product_en'][$key]=$this->loadModel("OfferEnModel")->retriveDataById('id_offer',$value['id_product']);
					$dataView['product_ar'][$key]=$this->loadModel("OfferArModel")->retriveDataById('id_offer',$value['id_product']);
					$dataView['quantyCheck'][$key]=$this->loadModel("StarToVendorModel")->retrieveDataByQuery("
							SELECT sum(quantity)  as test from `admin_set_star_to_get_product_from_vendor` Where `id_product`=?  And `id_order` =? And `deleted` =?",array($value['id_product'],$id,1));
					if($dataView['quantyCheck'][$key][0]['test'] == NULL)
					{
						$dataView['checkQuntity'][$key] = 0;
					}else{
						$dataView['checkQuntity'][$key] = (float)$dataView['quantyCheck'][$key][0]['test'];
					}

				endforeach;
			}

			// get customer information
			if(is_array($dataView['order']))
			{
				$dataView['customerInfo']=$this->loadModel("UserModel")->retriveDataById('id',$dataView['order']['id_customer']);
			}
			// get stat information
			$dataView['starts']=$this->loadModel("EmployeeModel")->retrieveAllData("Where `on_service` = ? AND `admin_type_id`=? and `deleted`=?",array(1,3,1));
			if(is_array($dataView['starts']))
			{
				foreach ($dataView['starts'] as $key=>$value):
					$dataView['starDetails'][$key]=$this->loadModel("UserModel")->retriveDataById('id',$value['user_id']);
					endforeach;
			}

			//get vendor information
			$dataView['vendors']=$this->loadModel("UserModel")->retrieveAllData("Where `job_type`=? and `deleted`=?",array(2,1));
			//getOrderStar Details
			$dataView['orderStarDetails']=$this->loadModel("StarToVendorModel")->retrieveAllData("	WHERE `id_order`=? and `deleted`=?",array($id,1));
			if(is_array($dataView['orderStarDetails']))
			{
				foreach ($dataView['orderStarDetails'] as $key=>$value):
					// get star name
					$dataView['starName'][$key]=$this->loadModel("UserModel")->retriveDataById('id',$value['id_star']);
					$dataView['vendorName'][$key]=$this->loadModel("UserModel")->retriveDataById('id',$value['id_vendor']);
					$dataView['productArName'][$key]=$this->loadModel("OfferArModel")->retriveDataById('id_offer',$value['id_product']);
					$dataView['productEnName'][$key]=$this->loadModel("OfferEnModel")->retriveDataById('id_offer',$value['id_product']);
					endforeach;
			}
			//var_dump($dataView['orderStarDetails']);
			//get order status
			$dataView['TrckingOrderStatus']=$this->loadModel("TrackingOrderStatus")->retrieveAllData("WHERE `id_order`=? and `deleted`=? ORDER By Id DESC LIMIT 1",array($id,1));
			if(is_array($dataView['TrckingOrderStatus']))
			{
				$dataView['TrckingOrderStatus']=array_shift($dataView['TrckingOrderStatus']);
			}
			if(is_array($dataView['TrckingOrderStatus']))
			{
				$dataView['Status_En']=$this->loadModel("OrderStatusEnModel")->retriveDataById('id_order_status',$dataView['TrckingOrderStatus']['id_order_status']);
				$dataView['Status_Ar']=$this->loadModel("OrderStatusArModel")->retriveDataById('id_order_status',$dataView['TrckingOrderStatus']['id_order_status']);

			}
			// check if this order  has star to deleverd or not to view button
			$dataView['checkStar']=$this->loadModel("StarToCustomerModel")->retrieveAllData("Where `id_order` =? AND `deleted` =?",array($id,1));
			if(is_array($dataView['checkStar']))
			{
				// get star name
				foreach ($dataView['checkStar']as $key=>$value)
				{
					$dataView['star_name'][$key]=$this->loadModel("UserModel")->retriveDataById("id",$value['id_star']);

				}
			}
			// set page title
			$dataView['title'] = "Show Order Information";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
			$TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH . "order" . DIRECTORY_SEPARATOR ."order_show_selected";

			// load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }

		public function AddStarToVendor()
		{
			$user_id = $this->loadSession()->getSession("user_id");
			$id_order=$_POST['id_order'];
			$id_product=$_POST['id_product'];
			$action=$_POST['action'];
			$quantity=$_POST['quantity'];
			$vendor=$_POST['vendor'];
			$star=$_POST['star'];
			$price=$_POST['price'];
			$id_order_details=$_POST['id_order_details'];
			if($action=="addStarVendor")
			{
				// validate order_id and product id
				if($id_order == 0 || $id_product==0 ||$id_order_details ==0)
				{
					$response1['status']="failed";
					$response1['message']='<div class="alert alert-danger" role="alert"><strong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Un Specified Error Please contact Your System Administrator </div>';
					echo $this->loadAjax()->DataToJson($response1);
					exit();
				}
				//validation array
				$validationArray=array(
					"id_order_details"=>array(
						"value"=>$this->loadSecurity($id_order_details)->clear(),
						"errorName"=>"Quantity",
						"rules"=>"required|number"
					),
					"id_product"=>array(
						"value"=>$this->loadSecurity($id_product)->clear(),
						"errorName"=>"Quantity",
						"rules"=>"required|number"
					),
					"id_order"=>array(
						"value"=>$this->loadSecurity($id_order)->clear(),
						"errorName"=>"Quantity",
						"rules"=>"required|number"
					),
					"quantity"=>array(
						"value"=>$this->loadSecurity($quantity)->clear(),
						"errorName"=>"Quantity",
						"rules"=>"required"
					),
					"id_vendor"=>array(
						"value"=>$this->loadSecurity($vendor)->clear(),
						"errorName"=>"Vendor Name",
						"rules"=>"required"
					),
					"id_star"=>array(
						"value"=>$this->loadSecurity($star)->clear(),
						"errorName"=>"Star Name",
						"rules"=>"required"
					),
					"price_per_item"=>array(
						"value"=>$this->loadSecurity($price)->clear(),
						"errorName"=>"Price ",
						"rules"=>"required|number"
					),

				);
				$dataAfterValidation=$this->loadValidation($validationArray)->formValidate();
				if(is_array($dataAfterValidation)&&array_key_exists("success",$dataAfterValidation))
				{
					//get order details to get quantity and product
					$orderIndetails=$this->loadModel("CustomerOrderModelDetails")->retriveDataById('id',$id_order_details);
					$orderquantity=$orderIndetails['quantity'];
					//check quantity added is equal to total order quanty
					$quantyCheck=$this->loadModel("StarToVendorModel")->retrieveDataByQuery("
							SELECT sum(quantity)  as test from `admin_set_star_to_get_product_from_vendor` Where `id_product`=? AND`id_order_details`=? And `id_order` =? And `deleted` =?",array($id_product,$id_order_details,$dataAfterValidation['success']['id_order'],1));
					if($dataAfterValidation['success']['quantity']>$orderquantity)
					{
						$response['status']="failed";
						$response['message']='<div class="alert alert-danger" role="alert"><strong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Opps Total Product Quantity Is  '.$orderquantity.' You trying To Add Quantity Bigger Than Total Product  Quantity In Order </div>';
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}elseif ($quantyCheck[0]['test']== $orderquantity){
						$response1['status']="failed";
						$response1['message']='<div class="alert alert-danger" role="alert"><strong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>  Oops Total Order Quantity is Added Before You Cant Add MoRe Quantity .. </div>';
						echo $this->loadAjax()->DataToJson($response1);
						exit();
					}elseif (($quantyCheck[0]['test']+$dataAfterValidation['success']['quantity'])>$orderquantity)
					{
						$totlaRemainngQuaantity=$orderquantity-$quantyCheck[0]['test'];
						$response2['status']="failed";
						$response2['message']='<div class="alert alert-danger" role="alert"><strong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>  Sorry Total Remaining Quantity for this Product = ' .$totlaRemainngQuaantity .' </div>';
						echo $this->loadAjax()->DataToJson($response2);
						exit();
					}else{
						//prepare data tao model
						$dataToModel['quantity']=$dataAfterValidation['success']['quantity'];
						$dataToModel['id_vendor']=$dataAfterValidation['success']['id_vendor'];
						$dataToModel['id_star']=$dataAfterValidation['success']['id_star'];
						$dataToModel['price_per_item']=$dataAfterValidation['success']['price_per_item'];
						$dataToModel['id_admin']=$user_id;
						$dataToModel['id_product']=$dataAfterValidation['success']['id_product'];
						$dataToModel['created_by']=$user_id;
						$dataToModel['id_order']=$dataAfterValidation['success']['id_order'];
						$dataToModel['id_order_details']=$dataAfterValidation['success']['id_order_details'];
						$dataToModel['created']=time();
						$dataToModel['last_updated_by']=$user_id;
						$add=$this->loadmodel("StarToVendorModel",$dataToModel)->add();
						if(false !==$add)
						{
							$response['status']="success";
							$response['message']='<div class="alert alert-success" role="alert"><strong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Data Add Successfully Please Wait .. </div>';
							echo $this->loadAjax()->DataToJson($response);
							exit();
						}else{
							$response['status']="failed";
							$response['message']='<div class="alert alert-danger" role="alert"><strong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Adding Your Data </div>';
							echo $this->loadAjax()->DataToJson($response);
							exit();
						}
					}
				}else{
					$response['status']="failed";
					$response['message']='<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataAfterValidation.'</div>';
					echo $this->loadAjax()->DataToJson($response);
					exit();
				}
			}



		}

		public function AddStarToCustomer()
		{
			if(isset($_POST['customer_id'],$_POST['id_star'],$_POST['id_order'],$_POST['action'])&&$_POST['action']=="addStarcustomer")
			{
				// validate id
				$id_order=(int)$_POST['id_order'];
				$action=$_POST['action'];
				$id_star=$_POST['id_star'];
				$customer_id=$_POST['customer_id'];
				//get user id
				$user_id=$this->loadSession()->getSession("user_id");

				if($id_order==0||$id_star==0||$customer_id==0)
				{
					$response1['status']="failed";
					$response1['message']='<div class="alert alert-danger" role="alert"><strong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Un Specified Error Please contact Your System Administrator </div>';
					echo $this->loadAjax()->DataToJson($response1);
					exit();
				}
				// start validate order
				$dataView['order']=$this->loadModel("CustomerOrderModel")->retriveDataById("id",$id_order);
				if($dataView['order'] == null)
				{
					$response1['status']="failed";
					$response1['message']='<div class="alert alert-danger" role="alert"><strong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Un Specified Error Please contact Your System Administrator </div>';
					echo $this->loadAjax()->DataToJson($response1);
					exit();
				}

				$validationArray=array(

									"id_order"=>array(
										"value"=>$this->loadSecurity($id_order)->clear(),
										"errorName"=>"Order",
										"rules"=>"required|number"
									),
									"id_star"=>array(
										"value"=>$this->loadSecurity($id_star)->clear(),
										"errorName"=>"Star",
										"rules"=>"required|number"
									),
									"customer_id"=>array(
										"value"=>$this->loadSecurity($customer_id)->clear(),
										"errorName"=>"Customer",
										"rules"=>"required|number"
									),


				);
				$dataAfterValidation=$this->loadValidation($validationArray)->formValidate();
						// strat check data is valid or not

				if(is_array($dataAfterValidation)&&array_key_exists("success",$dataAfterValidation))
				{
					$dataToModel=array(
						'id_star'=>$dataAfterValidation['success']['id_star'],
						'last_updated_by'=>$user_id,
						'id_customer'=>$dataAfterValidation['success']['customer_id'],
						'id_admin'=>$user_id,
						'id_order'=>$id_order,
						'created_by'=>$user_id,
						'created'=>time(),
					);
					$add=$this->loadModel("StarToCustomerModel",$dataToModel)->add();
					if(false !==$add)
					{
						$response['status']="success";
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}else{
						$response['status']="failed";
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}



				}else{
					$response['status']="failed";
					$response['message']='<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataAfterValidation.'</div>';
					echo $this->loadAjax()->DataToJson($response);
					exit();
				}

				}

			}



        public function updateStatus()
        {
			if(isset($_POST['id'],$_POST['status'],$_POST['action'])&&$_POST['action']=="uodatestatus")
			{
				// validate id
				$id=(int)$_POST['id'];
				$status=$_POST['status'];
				//get user id
				$user_id=$this->loadSession()->getSession("user_id");

				if($id==0)
				{
					$this->redirect("Errors","index");
					exit();
				}else{

					if($status=="on")
					{
						$value=2;
					}else{
						$value=1;
					}
					$dataToModel=array(
						'status'=>$value,
						'last_updated_by'=>$user_id
					);
					if(false !==$this->loadModel("StarToVendorModel",$dataToModel)->updateData('id',$id))
					{
					;
						$response['statuss']="success";
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}else{
						$response['statuss']="failed";
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}

				}

			}
         }
         //delete startToVendor
		public function delete()
		{
			//recive id
			$id=$_POST['id'];
			$action=$_POST['action'];
			if($action =="deleteCountry")
			{
				//validate id
				if($id == 0)
				{
					$this->redirect("Errors","index");
					exit();
				}else{
					$user_id=$this->loadSession()->getSession("user_id");
					$dataToModel=array(
						'deleted'=> 2,
						'last_updated_by'=>$user_id
					);
					if(false !==$this->loadModel("StarToVendorModel",$dataToModel)->updateData('id',$id))
					{
						$response['status']="success";
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}else{
						$response['status']="failed";
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}

				}
			}

		}
		//deleteStarToCustomer

		public function deleteStarToCustomer()
		{
			//recive id
			 $id=$_POST['id'];
			$action=$_POST['action'];
			if($action =="deletecustomerstar")
			{
				//validate id
				if($id == 0)
				{
					$this->redirect("Errors","index");
					exit();
				}else{
					$user_id=$this->loadSession()->getSession("user_id");
					$dataToModel=array(
						'deleted'=> 2,
						'last_updated_by'=>$user_id
					);
					if(false !==$this->loadModel("StarToCustomerModel",$dataToModel)->updateData('id',$id))
					{
						$response['status']="success";
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}else{
						$response['status']="failed";
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}

				}
			}

		}

		public function updateOrderStatus()
		{
			if(isset($_POST['orderid'],$_POST['statusid'],$_POST['action'])&&$_POST['action']=="updateorderstatus")
			{
				// validate id
				$id=(int)$_POST['orderid'];
				$statusid=$_POST['statusid'];
				//get user id
				$user_id=$this->loadSession()->getSession("user_id");

				if($id==0)
				{
					$this->redirect("Errors","index");
					exit();
				}else{
					$dataToModel=array(
						'id_order_status'=>$statusid,
						'last_updated_by'=>$user_id,
						'id_order'=>$id,
						'created'=>time(),
						'created_by'=>$user_id,

					);
					if(false !==$this->loadModel("TrackingOrderStatus",$dataToModel)->add())
					{
						$response['status']="success";
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}else{
						$response['status']="failed";
						echo $this->loadAjax()->DataToJson($response);
						exit();
					}
				}
			}
		}


    }

?>