<?php
    class Payment_way extends Controller{
		
        
        public function add()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/
            
            
            //start Add Anew Data
			if(isset($_POST['add']))
            {
                
                // preparing validation array
                $validationArray = array(
                                            "name"=>array(
                                                             "value"=>$this->loadSecurity($_POST['enName'])->clear(),
                                                             "errorName"=>"Payment Way Name",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            "ar_name"=>array(
                                                             "value"=>$this->loadSecurity($_POST['arName'])->clear(),
                                                             "errorName"=>"اسم الوسيلة",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            
                                            "status"=>array(
                                                             "value"=>$this->loadSecurity($_POST['status'])->clear(),
                                                             "errorName"=>"Status",
                                                             "rules"=>"number"
                                                          ),
                                  );
                // load validation classs and pass validation data
                $dataValid = $this->loadValidation($validationArray)->formValidate();
                // check if the data is ok
                if(is_array($dataValid) && array_key_exists("success",$dataValid))
                {

                    // prepare data
                    $dataModel['status'] = $dataValid['success']['status'];
                    $dataModel['created'] = time();

                    $add = $this->loadModel("PaymentWayModel",$dataModel)->add();
                    if(FALSE !== $add)
                    {
                        // preparing en data
                        $dataEnModel['id_payment'] = $add;
                        $dataEnModel['name'] = $dataValid['success']['name'];
                        $addEnData = $this->loadModel("PaymentWayEnModel",$dataEnModel)->add();
                        // preparing ar data
                        $dataArModel['id_payment'] = $add;
                        $dataArModel['name'] = $dataValid['success']['ar_name'];
                        $addArData = $this->loadModel("PaymentWayArModel",$dataArModel)->add();
                        if(False !== $addEnData && FALSE !== $addArData)
                        {
                           $dataView['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Data Added Successfully Please Wait .. </div>';
                           header("Refresh: 2"); 
                        }else{
                            $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Adding Your Data Please Try Again</div>';
                        }
                    }else{
                        $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Adding Your Data Please Try Again</div>';
                    } 
                    
                }else{
                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';
                }
            }
            
			$dataView['title'] = "Add Payment Way";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."payment_way_add";
            // load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
        
        public function getAll()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/
            
            // get all PaymentWays
            
            $dataView['paymentWays'] = $this->loadModel("PaymentWayModel")->retrieveAllData("WHERE `deleted` =?",array(1));
            if(is_array($dataView['paymentWays']))
            {
                foreach($dataView['paymentWays'] as $key=>$value)
                {
                    // get ar and en Data
                    $dataView['paymentWaysEn'][$key] = $this->loadModel("PaymentWayEnModel")->retriveDataById("id_payment",$value['id']);
                    $dataView['paymentWaysAr'][$key] = $this->loadModel("PaymentWayArModel")->retriveDataById("id_payment",$value['id']);
                }
            }
            
			$dataView['title'] = "Show / Edit Payment Way";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."payment_way_getall";
            // load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
        
        public function edit_selected()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/
            // get id from url
            $id = (int)$this->loadRoute()->getSegment(2);
            if($id == 0)
            {
                $this->redirect("Errors","index");
                exit();
            }
            // get data
            $dataView['paymentWay'] = $this->loadModel("PaymentWayModel")->retrieveAllData("WHERE `id` =? AND `deleted` =?",array($id,1));
            if($dataView['paymentWay'] == NULL)
            {
                $this->redirect("Errors","index");
                exit();
            }
            $dataView['paymentWay'] = array_shift($dataView['paymentWay']);
             // get ar and en Data
            $dataView['paymentWayEn'] = $this->loadModel("PaymentWayEnModel")->retriveDataById("id_payment",$id);
            $dataView['paymentWayAr'] = $this->loadModel("PaymentWayArModel")->retriveDataById("id_payment",$id);

            //start Edit PaymentWay
			if(isset($_POST['edit']))
            {
                
                // preparing validation array
                $validationArray = array(
                                            "name"=>array(
                                                             "value"=>$this->loadSecurity($_POST['enName'])->clear(),
                                                             "errorName"=>"Payment Way Name",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            "ar_name"=>array(
                                                             "value"=>$this->loadSecurity($_POST['arName'])->clear(),
                                                             "errorName"=>"اسم الوسيلة",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            
                                            "status"=>array(
                                                             "value"=>$this->loadSecurity($_POST['status'])->clear(),
                                                             "errorName"=>"Status",
                                                             "rules"=>"number"
                                                          ),
                                  );
                // load validation classs and pass validation data
                $dataValid = $this->loadValidation($validationArray)->formValidate();
                // check if the data is ok
                if(is_array($dataValid) && array_key_exists("success",$dataValid))
                {
                    // prepare data
                    $dataModel['status'] = $dataValid['success']['status'];
                    
                    $updateData = $this->loadModel("PaymentWayModel",$dataModel)->UpdateData("id",$id);
                    if(FALSE !== $updateData)
                    {
                        // preparing en data
                        $dataEnModel['name'] = $dataValid['success']['name'];
                        $updateEnData = $this->loadModel("PaymentWayEnModel",$dataEnModel)->UpdateData("id_payment",$id);
                        // preparing ar data
                        $dataArModel['name'] = $dataValid['success']['ar_name'];
                        $updateArData = $this->loadModel("PaymentWayArModel",$dataArModel)->UpdateData("id_payment",$id);
                        if(False !== $updateEnData && FALSE !== $updateArData)
                        {
                           $dataView['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Data Updated Successfully Please Wait .. </div>';
                           header("Refresh: 2"); 
                        }else{
                            $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Updating Your Data Please Try Again</div>';
                        }
                    }else{
                        $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Updating Your Data Please Try Again</div>';
                    } 
                    
                }else{
                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';
                }
            }
            
            
			$dataView['title'] = "Edit Selected Payment Way";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."payment_way_edit_selected";
            // load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
        
        public function update_image()
        {
                //get id
                $id = (int)$_POST['field_id'];
                 if($id == 0)
                {
                    echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                    exit;
                }else{
                        $upload = $this->loadUpload("image_name")->do_upload();
                       // check if there is error on image
                       if(array_key_exists("uploadError",$upload))
                       {
                           echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                            exit;

                       }else{
                           $dataModel['image'] = $upload['uploaded'][0];
                           if(false !== $this->loadModel("PaymentWayModel",$dataModel)->updateData("id", $id))
                           {
                               echo $this->loadAjax()->DataToJson(array("status"=>"success","newImage"=>$dataModel['image']));
                                exit; 
                           }else{
                              echo $this->loadAjax()->DataToJson(array("status"=>"falid"));
                            exit;
                           }
                       }
                    }  
        }
        public function updateStatus()
        {
                if(isset($_POST['action'],$_POST['id'],$_POST['status']) && $_POST['action'] == "updateStatus")
                {
                    // get User id
                    $id = (int)$_POST['id'];
                    if($id == 0)
                    {
                        $this->redirect("Errors","index");
                        exit;
                    }else{
                        // get current status
                        $currentStatus = $_POST['status'];
                        // if current status = on set it off
                        if($currentStatus == "on")
                        {
                            $setStatus = 2;
                        }else{
                            $setStatus = 1;
                        }
                        $dataModel['status'] = $setStatus;

                        if(false !== $this->loadModel("PaymentWayModel",$dataModel)->updateData("id", $id))
                        {
                         echo $this->loadAjax()->DataToJson(array("status"=>"success"));
                         exit;
                        }else{
                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));
                            exit;
                        }
                    }
                }
         }
        
        public function delete()
        {
                if(isset($_POST['action'],$_POST['id']) && $_POST['action'] == "deleteData")
                {
                    $id = (int)$_POST['id'];
                    if($id == 0)
                    {
                        $this->redirect("Errors","index");
                        exit;
                    }else{
                        if(FALSE !== $this->loadModel("PaymentWayModel",array("deleted"=>2))->updateData("id",$id))
                        {
                            echo $this->loadAjax()->DataToJson(array("status"=>"success"));
                            exit;
                        }else{
                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));
                            exit;
                        }
                    }
                 }
         }
        
        
    }

?>