<?php

    class Region extends Controller{

		

        

        public function add()

        {

			/******** start header code ********/

            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())

            {

                // get user id from session

                $user_id = $this->loadSession()->getSession("user_id");

                // get user data for header

                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);

                if($dataView['userData'] == NULL)

                {

                    $this->redirect("Errors","index");

                    exit();

                }

            }else{

                $this->redirect("admin","login");

            }



            /******* end header code *******/

            // get all Cities

            $dataView['cities'] = $this->loadModel("CityModel")->retrieveAllData("WHERE `deleted` =?",array(1));

            if(is_array($dataView['cities']))

            {

                foreach($dataView['cities'] as $key=>$value)

                {

                    // get ar and en Data

                    $dataView['citiesEn'][$key] = $this->loadModel("CityEnModel")->retriveDataById("id_city",$value['id']);

                    $dataView['citiesAr'][$key] = $this->loadModel("CityArModel")->retriveDataById("id_city",$value['id']);

                }

            }

            

            //start Add Anew Region

			if(isset($_POST['add']))

            {

                

                // preparing validation array

                $validationArray = array(

                                            "name"=>array(

                                                             "value"=>$this->loadSecurity($_POST['enName'])->clear(),

                                                             "errorName"=>"Governate Name",

                                                             "rules"=>"required|min-length[3]"

                                                          ),

                                            "ar_name"=>array(

                                                             "value"=>$this->loadSecurity($_POST['arName'])->clear(),

                                                             "errorName"=>"اسم المحافظة",

                                                             "rules"=>"required|min-length[3]"

                                                          ),

                                            "city"=>array(

                                                             "value"=>$this->loadSecurity($_POST['city'])->clear(),

                                                             "errorName"=>"City",

                                                             "rules"=>"required|number"

                                                          ),

                                            "longitude"=>array(

                                                             "value"=>$this->loadSecurity($_POST['long'])->clear(),

                                                             "errorName"=>"Region Longitude",

                                                             "rules"=>"required"

                                                          ),

                                            "latitude"=>array(

                                                             "value"=>$this->loadSecurity($_POST['lat'])->clear(),

                                                             "errorName"=>"Region Latitude",

                                                             "rules"=>"required"

                                                          ),

                                            "status"=>array(

                                                             "value"=>$this->loadSecurity($_POST['status'])->clear(),

                                                             "errorName"=>"Status",

                                                             "rules"=>"number"

                                                          ),

                                  );

                // load validation classs and pass validation data

                $dataValid = $this->loadValidation($validationArray)->formValidate();

                // check if the data is ok

                if(is_array($dataValid) && array_key_exists("success",$dataValid))

                {

                    //check if Region En Name exists before

                    if(TRUE !== $this->loadModel("RegionEnModel")->CheckExists("WHERE `name` =? AND `deleted`=?",array($dataValid['success']['name'],1)))

                    {

                        //check if Region Ar Name exists before

                        if(TRUE !== $this->loadModel("RegionArModel")->CheckExists("WHERE `name` =? AND `deleted`=?",array($dataValid['success']['ar_name'],1)))

                        {

                            // prepare data

                            $dataModel['id_city'] = $dataValid['success']['city'];

                            $dataModel['longitude'] = $dataValid['success']['longitude'];

                            $dataModel['latitude'] = $dataValid['success']['latitude'];

                            $dataModel['id_admin'] = $user_id;

                            $dataModel['status'] = $dataValid['success']['status'];

                            $dataModel['created'] = time();

                            $add = $this->loadModel("RegionModel",$dataModel)->add();

                            if(FALSE !== $add)

                            {

                                // preparing en data

                                $dataEnModel['id_region'] = $add;

                                $dataEnModel['name'] = $dataValid['success']['name'];

                                $dataEnModel['status'] = $dataValid['success']['status'];

                                $dataEnModel['created'] = time();

                                $addEnData = $this->loadModel("RegionEnModel",$dataEnModel)->add();

                                // preparing ar data

                                $dataArModel['id_region'] = $add;

                                $dataArModel['name'] = $dataValid['success']['ar_name'];

                                $dataArModel['status'] = $dataValid['success']['status'];

                                $dataArModel['created'] = time();

                                $addArData = $this->loadModel("RegionArModel",$dataArModel)->add();

                                if(False !== $addEnData && FALSE !== $addArData)

                                {

                                   $dataView['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Data Added Successfully Please Wait .. </div>';

                                   header("Refresh: 2"); 

                                }else{

                                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Adding Your Data Please Try Again1</div>';

                                }

                            }else{

                                $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Adding Your Data Please Try Again2</div>';

                            }

                        }else{

                            $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Region Arabic Name Exists Before</div>';

                        }

                    }else{

                        $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Region English Name Exists Before</div>';

                    }

                }else{

                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';

                }

            }

            

			$dataView['title'] = "Add Region";

            // global Template Config

            global $TEMPLATE_BACK_END ;

            // set content

            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."region_add";

            // load template

            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();

        }

        

        public function getAll()

        {

			/******** start header code ********/

            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())

            {

                // get user id from session

                $user_id = $this->loadSession()->getSession("user_id");

                // get user data for header

                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);

                if($dataView['userData'] == NULL)

                {

                    $this->redirect("Errors","index");

                    exit();

                }

            }else{

                $this->redirect("admin","login");

            }



            /******* end header code *******/

            

            // get all Regions

            $dataView['regions'] = $this->loadModel("RegionModel")->retrieveAllData("WHERE `deleted` =?",array(1));

            if(is_array($dataView['regions']))

            {

                foreach($dataView['regions'] as $key=>$value)

                {

                    // get ar and en Data

                    $dataView['regionsEn'][$key] = $this->loadModel("RegionEnModel")->retriveDataById("id_region",$value['id']);

                    $dataView['regionsAr'][$key] = $this->loadModel("RegionArModel")->retriveDataById("id_region",$value['id']);

                }

            }

            

			$dataView['title'] = "Show / Edit Regions";

            // global Template Config

            global $TEMPLATE_BACK_END ;

            // set content

            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."region_getall";

            // load template

            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();

        }

        

        public function edit_selected()

        {

			/******** start header code ********/

            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())

            {

                // get user id from session

                $user_id = $this->loadSession()->getSession("user_id");

                // get user data for header

                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);

                if($dataView['userData'] == NULL)

                {

                    $this->redirect("Errors","index");

                    exit();

                }

            }else{

                $this->redirect("admin","login");

            }



            /******* end header code *******/

            // get id from url

            $id = (int)$this->loadRoute()->getSegment(2);

            if($id == 0)

            {

                $this->redirect("Errors","index");

                exit();

            }

            // get data

            $dataView['region'] = $this->loadModel("RegionModel")->retrieveAllData("WHERE `id` =? AND `deleted` =?",array($id,1));

            if($dataView['region'] == NULL)

            {

                $this->redirect("Errors","index");

                exit();

            }

            $dataView['region'] = array_shift($dataView['region']);

             // get ar and en Data

            $dataView['regionEn'] = $this->loadModel("RegionEnModel")->retriveDataById("id_region",$id);

            $dataView['regionAr'] = $this->loadModel("RegionArModel")->retriveDataById("id_region",$id);



            //start edit Region

			if(isset($_POST['edit']))

            {

                

                // preparing validation array

                $validationArray = array(

                                            "name"=>array(

                                                             "value"=>$this->loadSecurity($_POST['enName'])->clear(),

                                                             "errorName"=>"Region Name",

                                                             "rules"=>"required|min-length[3]"

                                                          ),

                                            "ar_name"=>array(

                                                             "value"=>$this->loadSecurity($_POST['arName'])->clear(),

                                                             "errorName"=>"اسم المنطقة",

                                                             "rules"=>"required|min-length[3]"

                                                          ),

                                            "city"=>array(

                                                             "value"=>$this->loadSecurity($_POST['city'])->clear(),

                                                             "errorName"=>"City",

                                                             "rules"=>"required|number"

                                                          ),

                                            "longitude"=>array(

                                                             "value"=>$this->loadSecurity($_POST['long'])->clear(),

                                                             "errorName"=>"Region Longitude",

                                                             "rules"=>"required"

                                                          ),

                                            "latitude"=>array(

                                                             "value"=>$this->loadSecurity($_POST['lat'])->clear(),

                                                             "errorName"=>"Region Latitude",

                                                             "rules"=>"required"

                                                          ),

                                            "status"=>array(

                                                             "value"=>$this->loadSecurity($_POST['status'])->clear(),

                                                             "errorName"=>"Status",

                                                             "rules"=>"number"

                                                          ),

                                  );

                // load validation classs and pass validation data

                $dataValid = $this->loadValidation($validationArray)->formValidate();

                // check if the data is ok

                if(is_array($dataValid) && array_key_exists("success",$dataValid))

                {

                    //check if Governate En Name exists before

                    if(TRUE !== $this->loadModel("RegionEnModel")->CheckExists("WHERE `name` =? AND `id_region` != ? AND `deleted`=?",array($dataValid['success']['name'],$id,1)))

                    {

                        //check if Governate Ar Name exists before

                        if(TRUE !== $this->loadModel("RegionArModel")->CheckExists("WHERE `name` =? AND `id_region` != ? AND `deleted`=?",array($dataValid['success']['ar_name'],$id,1)))

                        {

                            // prepare data

                            $dataModel['id_city'] = $dataValid['success']['city'];

                            $dataModel['longitude'] = $dataValid['success']['longitude'];

                            $dataModel['latitude'] = $dataValid['success']['latitude'];

                            $dataModel['id_admin'] = $user_id;

                            $dataModel['status'] = $dataValid['success']['status'];

                            $update = $this->loadModel("RegionModel",$dataModel)->updateData('id',$id);

                            if(FALSE !== $update)

                            {

                                // preparing en data

                                $dataEnModel['name'] = $dataValid['success']['name'];

                                $dataEnModel['status'] = $dataValid['success']['status'];

                                $updateEnData = $this->loadModel("RegionEnModel",$dataEnModel)->updateData("id_region",$id);

                                // preparing ar data

                                $dataArModel['name'] = $dataValid['success']['ar_name'];

                                $dataArModel['status'] = $dataValid['success']['status'];

                                $updateArData = $this->loadModel("RegionArModel",$dataArModel)->updateData("id_region",$id);

                                if(False !== $updateEnData && FALSE !== $updateArData)

                                {

                                   $dataView['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Data Updated Successfully Please Wait .. </div>';

                                   header("Refresh: 2"); 

                                }else{

                                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Updating Your Data Please Try Again1</div>';

                                }

                            }else{

                                $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Updating Your Data Please Try Again2</div>';

                            }

                        }else{

                            $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Region Arabic Name Exists Before</div>';

                        }

                    }else{

                        $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Region English Name Exists Before</div>';

                    }

                }else{

                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';

                }

            }

            // get all cities

            $dataView['cities'] = $this->loadModel("CityModel")->retrieveAllData("WHERE `deleted` =?",array(1));

            if(is_array($dataView['cities']))

            {

                foreach($dataView['cities'] as $key=>$value)

                {

                    // get ar and en Data

                    $dataView['citiesEn'][$key] = $this->loadModel("CityEnModel")->retriveDataById("id_city",$value['id']);

                    $dataView['citiesAr'][$key] = $this->loadModel("CityArModel")->retriveDataById("id_city",$value['id']);

                }

            }

            

            // get all interests

			$dataView['title'] = "Edit Selected Region";

            // global Template Config

            global $TEMPLATE_BACK_END ;

            // set content

            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."region_edit_selected";

            // load template

            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();

        }

        

        public function updateStatus()

        {

                if(isset($_POST['action'],$_POST['id'],$_POST['status']) && $_POST['action'] == "updateStatus")

                {

                    // get User id

                    $id = (int)$_POST['id'];

                    if($id == 0)

                    {

                        $this->redirect("Errors","index");

                        exit;

                    }else{

                        // get current status

                        $currentStatus = $_POST['status'];

                        // if current status = on set it off

                        if($currentStatus == "on")

                        {

                            $setStatus = 2;

                        }else{

                            $setStatus = 1;

                        }

                        $dataModel['status'] = $setStatus;



                        if(false !== $this->loadModel("RegionModel",$dataModel)->updateData("id", $id))

                        {
                            $this->loadModel("RegionEnModel",$dataModel)->updateData("id_region", $id);
                            $this->loadModel("RegionArModel",$dataModel)->updateData("id_region", $id);
                         echo $this->loadAjax()->DataToJson(array("status"=>"success"));

                         exit;

                        }else{

                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));

                            exit;

                        }

                    }

                }

         }

        public function delete()

        {

                if(isset($_POST['action'],$_POST['id']) && $_POST['action'] == "deleteData")

                {

                    $id = (int)$_POST['id'];

                    if($id == 0)

                    {

                        $this->redirect("Errors","index");

                        exit;

                    }else{

                        if(FALSE !== $this->loadModel("RegionModel",array("deleted"=>2))->updateData("id",$id))

                        {
                            $this->loadModel("RegionEnModel",array("deleted"=>2))->updateData("id_region",$id);
                            $this->loadModel("RegionArModel",array("deleted"=>2))->updateData("id_region",$id);
                            echo $this->loadAjax()->DataToJson(array("status"=>"success"));

                            exit;

                        }else{

                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));

                            exit;

                        }

                    }

                 }

         }

        

    }



?>