<?php



class Ticket extends Controller

{

	

	public function today_tickets()

	{

		/******** start header code ********/

        if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())

        {

            // get user id from session

            $user_id = $this->loadSession()->getSession("user_id");

            // get user data for header

            $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);

            if($dataView['userData'] == NULL)

            {

                $this->redirect("Errors","index");

                exit();

            }

            // get user lang

            $this->loadHelper("UserHelper")->get_user_lang();

        }else{

            $this->redirect("admin","login");

        }

        /******* end header code *******/

		// get today time

		$todayDate = date('Y-m-d  H:i:s', strtotime(date('Y-m-d')));

		$date = strtotime($todayDate);



		global $paginationConfig;

	  	//set model name

		$paginationConfig['modelName'] = 'TicketModel';

	  	// set condition

		$paginationConfig['condition'] = "WHERE `status`= 1  AND `deleted`= 1 AND `created` >= $date ORDER BY `id` DESC";

		// get object from pagination class

		$paginationObj = $this->loadPagination();

		 // get data 

		$dataView['tickets'] = $paginationObj->get_data();

		 // get pagination links 

		$dataView['links'] = $paginationObj->get_pagination_links();

		// get users

		if(is_array($dataView['tickets']))

		{

			foreach($dataView['tickets'] as $key=>$user)

			{

				$dataView['users'][$key] = $this->loadModel("UserModel")->retriveDataById("id",$user['user_id']);

			}

		}

		 // set page title

		 $dataView['title'] = "Show Today Tickets";

		 // global Template Config

		 global $TEMPLATE_BACK_END ;

		 // set content

		 $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."ticket_today";

		 // load template

		 $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();

	}

	public function month_tickets()

	{

		/******** start header code ********/

        if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())

        {

            // get user id from session

            $user_id = $this->loadSession()->getSession("user_id");

            // get user data for header

            $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);

            if($dataView['userData'] == NULL)

            {

                $this->redirect("Errors","index");

                exit();

            }

            // get user lang

            $this->loadHelper("UserHelper")->get_user_lang();

        }else{

            $this->redirect("admin","login");

        }

        /******* end header code *******/

		// get today time

		$todayDate = date('Y-m-01  H:i:s', strtotime(date('Y-m-01')));

		$date = strtotime($todayDate);

		

		global $paginationConfig;

	  	//set model name

		$paginationConfig['modelName'] = 'TicketModel';

	  	// set condition

		$paginationConfig['condition'] = "WHERE `status`= 1  AND `deleted`= 1 AND `created` >= $date ORDER BY `id` DESC";

		// get object from pagination class

		$paginationObj = $this->loadPagination();

		 // get data 

		$dataView['tickets'] = $paginationObj->get_data();

		 // get pagination links 

		$dataView['links'] = $paginationObj->get_pagination_links();

		// get users

		if(is_array($dataView['tickets']))

		{

			foreach($dataView['tickets'] as $key=>$user)

			{

				$dataView['users'][$key] = $this->loadModel("UserModel")->retriveDataById("id",$user['user_id']);

			}

		}

		 // set page title

		 $dataView['title'] = "Show Month Tickets";

		 // global Template Config

		 global $TEMPLATE_BACK_END ;

		 // set content

		 $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."ticket_month";

		 // load template

		 $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();

	}

	public function tickets_report_make()

    {

      /******** start header code ********/

        if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())

        {

            // get user id from session

            $user_id = $this->loadSession()->getSession("user_id");

            // get user data for header

            $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);

            if($dataView['userData'] == NULL)

            {

                $this->redirect("Errors","index");

                exit();

            }

            // get user lang

            $this->loadHelper("UserHelper")->get_user_lang();

        }else{

            $this->redirect("admin","login");

        }

        /******* end header code *******/

        if(isset($_POST['search']))

        {

            // preparing validation array

      			$dataValidArray = array(

        										 "dateFrom"=>array(

        														"value" => $this->loadSecurity($_POST['dateFrom'])->clear(),

        														"errorName" => "Date From",

        														"rules" => "required"

                                                  			),

        										"dateTo"=>array(

        														"value" => $this->loadSecurity($_POST['dateTo'])->clear(),

        														"errorName" => "Date To",

        														"rules" => "required"

                                            )

                                    );

                  // load validation class

                  $dataValid = $this->loadValidation($dataValidArray)->formValidate();                  													                                                                      

                  if(is_array($dataValid) && array_key_exists("success",$dataValid))

				  {

					  	// get data 

						$dataView['tickets'] = $this->loadModel("TicketModel")->retrieveAllData("WHERE `deleted` =? AND `created` BETWEEN ? AND ?",array(1,strtotime($dataValid["success"]["dateFrom"]),strtotime($dataValid["success"]["dateTo"])));

						// get users

						if(is_array($dataView['tickets']))

						{

							foreach($dataView['tickets'] as $key=>$user)

							{

								$dataView['users'][$key] = $this->loadModel("UserModel")->retriveDataById("id",$user['user_id']);

							}

						}  

                  }else{

      			      $dataView['message'] = '<div class="alert alert-danger" role="alert"><strong> Error ! </strong>'.$dataValid.' </div>';

      			  }

        }

        // set page title

		$dataView['title'] = "Make Tickets Report";

		// global Template Config

        global $TEMPLATE_BACK_END ;

        // set content

        $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."tickets_report_make";

        // load template

        $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();

    }

	public function tickets_new_replaies()

	{

		/******** start header code ********/

        if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())

        {

            // get user id from session

            $user_id = $this->loadSession()->getSession("user_id");

            // get user data for header

            $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);

            if($dataView['userData'] == NULL)

            {

                $this->redirect("Errors","index");

                exit();

            }

            // get user lang

            $this->loadHelper("UserHelper")->get_user_lang();

        }else{

            $this->redirect("admin","login");

        }

        /******* end header code *******/

		

		global $paginationConfig;

	  	//set model name

		$paginationConfig['modelName'] = 'TicketModel';

	  	// set condition

		$paginationConfig['condition'] = "WHERE `user_replayed` = 1 AND `status`= 1  AND `deleted`= 1 ORDER BY `id` DESC";

		// get object from pagination class

		$paginationObj = $this->loadPagination();

		 // get data 

		$dataView['tickets'] = $paginationObj->get_data();

		 // get pagination links 

		$dataView['links'] = $paginationObj->get_pagination_links();

		// get users

		if(is_array($dataView['tickets']))

		{

			foreach($dataView['tickets'] as $key=>$user)

			{

				$dataView['users'][$key] = $this->loadModel("UserModel")->retriveDataById("id",$user['user_id']);

			}

		}

		 // set page title

		 $dataView['title'] = "Show New Replaies Tickets";

		 // global Template Config

		 global $TEMPLATE_BACK_END ;

		 // set content

		 $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."ticket_new_replaies";

		 // load template

		 $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();

	}

	public function show_selected()

	{

		/******** start header code ********/

        if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())

        {

            // get user id from session

            $user_id = $this->loadSession()->getSession("user_id");

            // get user data for header

            $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);

            if($dataView['userData'] == NULL)

            {

                $this->redirect("Errors","index");

                exit();

            }

            // get user lang

            $this->loadHelper("UserHelper")->get_user_lang();

        }else{

            $this->redirect("admin","login");

        }

        /******* end header code *******/

		// get ticket id from url 

		$id = (int) $this->loadRoute()->getSegment(2);

		if($id == 0)

		{

			$this->redirect("Errors","index");

			exit();

		}

		// get ticket

		$ticket = $this->loadModel("TicketModel")->retrieveAllData("WHERE `id` =?  AND `deleted`=? ",array($id,1));

		if(!is_array($ticket))

		{

			$this->redirect("Errors","index");

			exit();

		}

		$dataView['ticket'] =  array_shift($ticket);

		// check if ticket have image 

		$dataView['ticket_image'] = $this->loadModel("TicketFileModel")->retriveDataById("ticket_id",$id);

		// get user who send ticket

		$dataView['user_sent_ticket'] = $this->loadModel("UserModel")->retriveDataById("id",$dataView['ticket']['user_id']);

		// check if user type = pos get reseller and sales

		if(isset($dataView['user_sent_ticket']) && is_array($dataView['user_sent_ticket']))

		{

			if($dataView['user_sent_ticket']['job_type'] == 4)

			{

				// get reseller id

				$reseller_id = $this->loadHelper("ServiceHelper")->get_ressler_id_by_point_of_sale_id($dataView['user_sent_ticket']['id']);

				

				// get reseller data

				$dataView['reseller'] = $this->loadModel("UserModel")->retriveDataById("id",$reseller_id);

				// get sales id

				$sales_id = $this->loadModel("ResellerModel")->retrieveAllData("WHERE `user_id`=?",array($reseller_id));

				// get sales data

				$dataView['sales'] = $this->loadModel("UserModel")->retriveDataById("id",$sales_id[0]['admin_id']);

			}else if($dataView['user_sent_ticket']['job_type'] == 3){ 

				// get sales id

				$sales_id = $this->loadModel("ResellerModel")->retrieveAllData("WHERE `user_id`=?",array($dataView['user_sent_ticket']['id']));

				// get sales data

				$dataView['sales'] = $this->loadModel("UserModel")->retriveDataById("id",$sales_id[0]['admin_id']);

			}

		}

		// update ticked set readed = 2

		$update = $this->loadModel("TicketModel",array("user_replayed"=>2))->updateData("id",$id);

		// get all ticket replaies

		$dataView['replaies'] = $this->loadModel("TicketReplayModel")->retrieveAllData("WHERE `ticket_id` =? AND `status`= ? AND `deleted`=? ",array($id,1,1));

		// get users

		if(is_array($dataView['replaies']))

		{

			foreach($dataView['replaies'] as $key=>$data)

			{

				$dataView['users'][$key] = $this->loadModel("UserModel")->retriveDataById("id",$data['user_id']);

				$dataView['replaies_images'][$key] = $this->loadModel("TicketReplayFileModel")->retriveDataById("replay_id",$data['id']);

			}

		}

		if(isset($_POST['transfer']))

		{

			// set validation array

			$dataValidArray = array(

									   "department_id"=>array(

											"value" => $this->loadSecurity(nl2br($_POST['depart']))->clear(),

											"errorName" => "Depart",

										    "number" => "number"

										),

								   );

			// load validation class

			$dataValid = $this->loadValidation($dataValidArray)->formValidate();

			if(array_key_exists("success",$dataValid))

			{

				$dataValid['success']['user_replayed'] = 1;

				$updateTicket = $this->loadModel("TicketModel",$dataValid['success'])->updateData("id",$id);

				if(FALSE !== $updateTicket)

				{

					$dataView['message'] = '<div class="alert alert-success" role="alert"><strong> Success : </strong>Ticket Transfered Successfully Please Wait ..</div>';

					header("Refresh:2; url=".BASE_URL."ticket/today_tickets"." ");

				}else{

					$dataView['message'] = '<div class="alert alert-danger" role="alert"><strong> Error ! </strong> Error Transfer Ticket</div>';

				}

				

			}else{

					$dataView['message'] = '<div class="alert alert-danger" role="alert"><strong> Error ! </strong>'.$dataValid['error'].'</div>';

			}

		}

		// set page title

		$dataView['title'] = "View Selected Ticket";

		 // global Template Config

		 global $TEMPLATE_BACK_END ;

		 // set content

		 $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."ticket_show_selected";

		 // load template

		 $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();

	}

	public function add_replay()

	{

		if(isset($_POST['action']) && $_POST['action'] == "replay")

		{

			// set validation array

			$dataValidArray = array(

									   "message"=>array(

											"value" => $this->loadSecurity(nl2br($_POST['message_details']))->clear(),

											"errorName" => "Message",

										    "rules" => "min-length[4]"

										),

							"ticket_id"=>array(

											"value" => $this->loadSecurity($_POST['ticket'])->clear(),

											"errorName" => "Ticket",

										    "rules" => "number"

										)

								   );

			// load validation class

			$dataValid = $this->loadValidation($dataValidArray)->formValidate();

			if(array_key_exists("success",$dataValid))

			{

				// get user id from session

				$user_id = $this->loadSession()->getSession("user_id");

				// add data to data valid

				$dataValid['success']['user_id'] = $user_id;

				$dataValid['success']['created'] = time();

				$dataValid['success']['msg_from'] = 1;

				$add = $this->loadModel("TicketReplayModel",$dataValid['success'])->add();

				if(FALSE !== $add)

				{

					// check if user upload file

					$upload = $this->loadUpload("msg_file",FALSE)->do_upload();

					

					if($upload['uploaded'][0] !== NULL)

					{

						$dataFileModel['replay_id'] = $add;

						$dataFileModel['file'] = $upload['uploaded'][0];

						$dataFileModel['created'] = time();

						$addFile = $this->loadModel("TicketReplayFileModel",$dataFileModel)->add();

					}

					// update ticked set readed = 1

					$update = $this->loadModel("TicketModel",array("admin_replayed"=>1))->updateData("id",$dataValid['success']['ticket_id']);

					$response['status'] = "success";

					$response['message'] = $dataValid['success']['message'];

					$response['image'] = $upload['uploaded'][0] ;

					$response['date'] = date("Y-m-d H:i:s A",$dataValid['success']['created']);

					echo $this->loadAjax()->DataToJson($response);

					exit;

				}else{

					 $response['status'] = "faild";

					 $response['message'] = '<div class="alert alert-danger" role="alert"><strong> Error ! </strong>Error Send Your Message </div>';

					 echo $this->loadAjax()->DataToJson($response);

					exit;

				}

			}else{

					$response['status'] = "faild";

					$response['message'] = '<div class="alert alert-danger" role="alert"><strong> Error ! </strong>'.$dataValid['error'].'</div>';

					echo $this->loadAjax()->DataToJson($response);

					exit;

			}

		}

	}

	public function updateStatus()

    {

            if(isset($_POST['action'],$_POST['id'],$_POST['status']) && $_POST['action'] == "updateStatus")

            {

                // get User id

                $id = (int)$_POST['id'];

                if($id == 0)

                {

                    $this->redirect("Errors","index");

                    exit;

                }else{

                    // get current status

                    $currentStatus = $_POST['status'];

                    // if current status = on set it off

                    if($currentStatus == "on")

                    {

                        $setStatus = 2;

                    }else{

                        $setStatus = 1;

                    }

                    $dataModel['closed'] = $setStatus;



                    if(false !== $this->loadModel("TicketModel",$dataModel)->updateData("id", $id))

                    {

                     echo $this->loadAjax()->DataToJson(array("status"=>"success"));

                        exit;

                    }else{

                        echo $this->loadAjax()->DataToJson(array("status"=>"faild"));

                        exit;

                    }

                }

            }

     }

	

}



?>