<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title ">Show Job Applied</h3>
                          <a class="btn btn-primary pull-right" href="<?php echo BASE_URL."Job/add"?>"><i class="fa fa-plus" aria-hidden="true"></i> Add a New Job</a>
                        </div>
                        <!-- /.box-header -->
                        <div class="adminform">
                        <div class="text-center">
                            <span onclick="exportToexcel('#all_data')" class="btn btn-success export-btn">Export To Excel</span>
                        </div>
                        <!-- form start -->
                        <table id="all_data" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData tableForAllData" cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th>Id</th>
                                    <th>User Firest Name</th>
                                    <th>User Last Name</th>
                                    <th>User Mail</th>
                                    <th>User Phone</th>
                                    <th>Cv</th>
                                    <th>action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    if(isset($jobs_applied) && is_array($jobs_applied))
                                    {
                                        foreach($jobs_applied as $key=>$data)
                                        {
                                            echo '<tr id="row'.$data['id'].'">
                                                    <td>'.$data['id'].'</td>
                                                    <td>'.$data['firest_name'].'</td>
                                                    <td>'.$data['last_name'].'</td>
                                                    <td>'.$data['email'].'</td>
                                                    <td>'.$data['phone'].'</td>
                                                    <td><a href="'.UPLOAD_LINK.$data['image'].'"><i class="fa fa-download"></i></a></td>
                                                    <td>
                                                        <ul class="actions">
                                                         <li><a href="'.BASE_URL."Job/show_selected_applied_user/".$data['id'].'" class="" id="'.$data['id'].'"  title="Show Selected"><i class="fa fa-eye" aria-hidden="true"></i></a></li>
                                                         <li><a href="" data-toggle="modal" data-id="'.$data['id'].'" data-target="#deleteModal" class="deleteIcon" title="Delete"><i class="fa fa-trash" aria-hidden="true"></i>  </a></li>
                                                        </ul>
                                                    </td>
                                                  </tr>';
                                        }
                                    }else{
                                        echo '<tr><td colspan="5">No Data Found</td></tr>';
                                    }
                                ?>
                            </tbody>
                        </table>
                        </div>
                      </div>
                      <!-- /.box -->
                </div>
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<!-- Start Delete Modal -->
<div class="modal fade" id="deleteModal" role="dialog">
   <div class="modal-dialog">
      <!-- Modal content-->
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Confirm delete Your Data</h4>
         </div>
         <div class="modal-body">
            <div id="deleteResult"></div>
            <p>Are You Sure ? </p>
            <input type="submit"  class="btn btn-primary del" name="delete" value="Delete" />
         </div>
         <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
         </div>
      </div>
   </div>
</div>
<!--End Delete Modal-->
<script>
$(document).ready(function(){
    $('#all_data').DataTable();

	// start delete
	 $(".table_for_data").on( 'click', '.deleteIcon', function () {
             $("#deleteResult").html("");
             var myId = $(this).attr("data-id");
             var myaction = "deleteData";
             var allData = {"action":myaction,"id":myId};
             $(".del").click(function(){
                 $.ajax({
                    url: "<?php echo BASE_URL.'Job/delete_user_applied' ?>",
                    type:"POST",
                    data: allData,
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                        },
                    },
                    success:function(valdata) {
                        var da = jQuery.parseJSON(valdata);
                        if(da['status'] == "success")
                        {
                          $("#deleteResult").html('<div class="alert alert-success" role="alert"><strong>Success </strong> Data Deleted Successfuly </div>');
                          $('#deleteModal').modal('hide')
                          $("#row"+myId).fadeOut(1000);
                        }else{
                          $("#deleteResult").html('<div class="alert alert-danger" role="alert"><strong> Error ! </strong> Error Deleting  Your Data </div>');
                        }
                    }
                });
                return false;
             });
         });
         // end delete
	

});
</script>
