<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post" enctype="multipart/form-data">
                <div class="col-lg-6">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Edit Selected Job</h3>
                          <a class="btn btn-primary pull-right" href="<?php echo BASE_URL."Job/add"?>"><i class="fa fa-plus" aria-hidden="true"></i> Add a New Job</a>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">Job Title</label>
                              <input type="text" name="enTitle" value="<?php echo $jobEn['title'] ?>" class="form-control" id="exampleInputEmail1" placeholder="Job Title">
                              <p class="help-block">Add Job Title<p>
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">Job Description</label>
                                <textarea name="enDescription" class="form-control"><?php echo $jobEn['description'] ?></textarea>
                                <script>
                                    CKEDITOR.replace( 'enDescription' );
                                    function CKupdate(){
                                        for ( instance in CKEDITOR.instances )
                                            CKEDITOR.instances[instance].updateElement();
                                    }
                                </script>
                                <p class="help-block">Add Job Description<p>
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">Country</label>
                              <select name="country"  class="form-control chosen">
                                  <?php
                                    if(isset($counteries) && is_array($counteries))
                                    {
                                        foreach($counteries as $key=>$data)
                                        {
                                            if($data['id'] == $job['id_country'])
                                            {
                                                echo '<option selected value='.$data['id'].'>'.$counteriesEn[$key]['name']." - ".$counteriesAr[$key]['name'].'</option>';
                                            }else{
                                                echo '<option value='.$data['id'].'>'.$counteriesEn[$key]['name']." - ".$counteriesAr[$key]['name'].'</option>';
                                            }
                                        }
                                    }else{
                                        echo '<option value="0">No Data Found</option>';
                                    }
                                  ?>
                              </select>
                              <p class="help-block">Select Country<p>
                            </div>   
                            <div class="form-group">
                              <label for="availability" class="set-block">Status</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio1" value="1" name="status" <?php if($job['status'] == 1) echo 'checked'; ?> >
                                 <label for="inlineRadio1"> Active </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio2" value="2" name="status"<?php if($job['status'] == 2) echo 'checked'; ?> >
                                 <label for="inlineRadio2"> Not Active </label>
                              </div>
                           </div>    
                          </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" name="edit" onClick="CKupdate();" class="btn btn-primary">Edit</button>
                            </div>
                      </div>
                      <!-- /.box -->
                </div>
                <div class="col-lg-6 arab_dir">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">أضف وظيفة جديدة</h3>
                          <a class="btn btn-primary pull-left" href="<?php echo BASE_URL."Job/add"?>"><i class="fa fa-plus" aria-hidden="true"></i> أضافة وظيفة جديدة</a>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">عنوان الوظيفة</label>
                              <input type="text" name="arTitle" value="<?php echo $jobAr['title'] ?>" class="form-control" id="exampleInputEmail1" placeholder="أضف عنوان الوظيفة">
                              <p class="help-block">أضف عنوان الوظيفة<p>
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">وصف الوظيفة</label>
                                <textarea name="arDescription" class="form-control"><?php echo $jobAr['description'] ?></textarea>
                                <script>
                                    CKEDITOR.replace( 'arDescription' );
                                    function CKupdate(){
                                        for ( instance in CKEDITOR.instances )
                                            CKEDITOR.instances[instance].updateElement();
                                    }
                                </script>
                              <p class="help-block">أضف وصف الوظيفة<p>
                            </div>
                                                            
                          </div>
                          <!-- /.box-body -->
                      </div>
                      <!-- /.box -->
                </div>
                    
                </form>    
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<script>
$(document).ready(function(){
	
});
</script>

