<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title ">Show Month Orders</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="adminform">
                        <div class="text-center">
                            <span onclick="exportToexcel('#all_data')" class="btn btn-success export-btn">Export To Excel</span>
                        </div>
                        <!-- form start -->
                            <table id="all_data" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData tableForAllData" cellspacing="0" width="100%">
                                <thead>
                                <tr>
                                    <th>id</th>
                                    <th>Customer Name</th>
                                    <th>Total Price</th>
                                    <th>Order Status</th>
                                    <th>Date</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                                </thead>
                                <tbody>
								<?php
									if(isset($orders) && is_array($orders))
									{
										foreach($orders as $key=>$data)
										{
											echo '<tr id="row'.$data['id'].'">
                                                    <td>'.$data['id'].'</td>
                                                    <td>'.$cutomer[$key]['name'].'</td>
                                                    <td>'.$data['total_price'].' LE.</td>
                                                    <td><strong><label class="label label-primary">'.$Status_En[$key]['name']."-".$Status_Ar[$key]['name'].'</strong></label></td>
                                                    <td>'.date("Y-m-d h:i:s A",$data['created']).'</td>
                                                 ';

											echo '</td>
                                                    <td>';
											if($data['status'] == 1)
											{
												echo '<span data-id="'.$data['id'].'" title="Change Status" data-target="on" class="pointer status on update'.$data['id'].'">on</span>';
											}else{
												echo '<span data-id="'.$data['id'].'" title="Change Status" data-target="off" class="pointer status off update'.$data['id'].'">off</span>';
											}
											echo'</td>
                                                    <td>
                                                        <ul class="actions">
                                                         <li><a href="'.BASE_URL."CustomerOrder/show_selected/".$data['id'].'" class="" id="'.$data['id'].'"  title="Show"><i class="fa fa-eye" aria-hidden="true"></i></a></li>
                                                        </ul>
                                                    </td>
                                                  </tr>';
										}
									}else{
										echo '<tr><td colspan="6">No Data Found</td></tr>';
									}
								?>
                                </tbody>
                            </table>
                        </div>
                      </div>
                      <!-- /.box -->
                </div>
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->
<script>
	$(document).ready(function(){

		$(".table_for_data").on( 'click', '.status', function () {
			var myId = $(this).attr("data-id");
			var myaction = "updateStatus";
			var mystatus = $(this).attr("data-target");
			var allData = {"action":myaction,"id":myId,"status":mystatus};
			$.ajax({
				url: "<?php echo BASE_URL.'CustomerOrder/updateStatus' ?>",
				type:"POST",
				data: allData,
				beforeSend:function(){
				},
				statusCode: {
					404: function() {
						alert( "page not found" );
					},
				},
				success:function(valdata) {
					var da = JSON.parse(valdata);
					if(da['status'] == "success")
					{
						if(mystatus == "on")
						{
							$(".update"+myId).removeClass("on") ;
							$(".update"+myId).html("off");
							$(".update"+myId).addClass("off");
							$(".update"+myId).attr("data-target","off");
						}else{
							$(".update"+myId).removeClass("off") ;
							$(".update"+myId).html("on");
							$(".update"+myId).addClass("on");
							$(".update"+myId).attr("data-target","on");
						}
					}else{
						alert("faild");
					}
				}
			});
			return false;
		});



	});
</script>

