<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title ">Show Month Orders</h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="adminform">
                        <div class="text-center">
                            <span onclick="exportToexcel('#all_data')" class="btn btn-success export-btn">Export To Excel</span>
                        </div>
                        <!-- form start -->
                        <table id="all_data" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData tableForAllData" cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Offer Title</th>
                                    <th>Quantity</th>
                                    <th>Total Price</th>
                                    <th>Date</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                    if(isset($requests) && is_array($requests))
                                    {
                                        foreach($requests as $key=>$data)
                                        {
                                            echo '<tr id="row'.$data['id'].'">
                                                    <td>'.$data['id'].'</td>
                                                    <td>'.$offers[$key]['title'].'</td>
                                                    <td>'.$data['quantity'].'</td>
                                                    <td>'.$data['total_price']." ".$data['currency'].'</td>
                                                    <td>'.date("Y-m-d h:i:s A",$data['created']).'</td>
                                                    <td>
                                                        <ul class="actions">
                                                         <li><a href="'.BASE_URL."order/show_selected/".$data['id'].'" class="" id="'.$data['id'].'"  title="Show"><i class="fa fa-eye" aria-hidden="true"></i></a></li>
                                                        </ul>
                                                    </td>
                                                  </tr>';
                                        }
                                    }else{
                                        echo '<tr><td colspan="6">No Data Found</td></tr>';
                                    }
                                ?>
                            </tbody>
                        </table>
                        </div>
                      </div>
                      <!-- /.box -->
                </div>
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->
