<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
			<?php
				echo isset($title) ? $title : NULL;
			?>
        </h1>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="row">
            <form method="post" enctype="multipart/form-data">
                <div class="col-lg-6">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Edit Selected Service</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->

						<?php
							if(isset($message))
							{
								echo $message;
							}
						?>
                        <div class="box-body">

                            <div class="form-group">
                                <label for="exampleInputEmail1">Service Name</label>
                                <input type="text" name="enName" value="<?php  echo $EnService['title'];?>" class="form-control" id="exampleInputEmail1" placeholder="Example : Paints - Finishing">
                                <p class="help-block">Example : Paints - Finishing <p>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">description</label>
                                <textarea name="en_description" class="form-control"><?php  echo $EnService['description'];?> </textarea>
                                <p class="help-block">Add Service Description<p>
                            </div>

                            <div class="form-group">
                                <label for="availability" class="set-block">Status</label>
                                <div class="radio radio-info  radio-inline">
                                    <input type="radio" id="inlineRadio1" value="1"<?php if($EnService['status'] == '1' ){echo "checked";};?> name="status" >
                                    <label for="inlineRadio1"> Active </label>
                                </div>
                                <div class="radio radio-info  radio-inline">
                                    <input type="radio" id="inlineRadio2" value="2"<?php if($EnService['status'] == '2' ){echo "checked";}?> name="status">
                                    <label for="inlineRadio2"> Not Active </label>
                                </div>
                            </div>
                        </div>
                        <!-- /.box-body -->
                        <div class="box-footer">
                            <button type="submit" name="Edit" class="btn btn-primary">Edit</button>
                        </div>
                    </div>
                    <!-- /.box -->
                </div>
                <div class="col-lg-6 arab_dir">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">أضف خدمه جديدة</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        <div class="box-body">
                            <div class="form-group">
                                <label for="exampleInputEmail1">أسم الخدمه</label>
                                <input type="text" name="arName" value="<?php  echo $ArService['title'];?>" class="form-control" id="exampleInputEmail1" placeholder="أدخل أسم الخدمه باللغة العربية">
                                <p class="help-block">مثال : دهانات - تشطيب<p>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputEmail1">الوصف</label>
                                <textarea name="ar_description" class="form-control"><?php  echo $ArService['description'];?></textarea>
                                <p class="help-block">أضف الوصف<p>
                            </div>

                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>

            </form>
        </div>

    </section><!-- /.content -->
</div><!-- /.content-wrapper -->


