<?php
    class Sales_back extends Controller{
		
        
        
        public function add()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/
            
            
            //start Add Anew Data
			if(isset($_POST['add']))
            {
                
                // preparing validation array
                $validationArray = array(
                                            "title"=>array(
                                                             "value"=>$this->loadSecurity($_POST['enTitle'])->clear(),
                                                             "errorName"=>"Title",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            "ar_title"=>array(
                                                             "value"=>$this->loadSecurity($_POST['arTitle'])->clear(),
                                                             "errorName"=>"العنوان",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            "description"=>array(
                                                             "value"=>$this->loadSecurity($_POST['enDescription'])->clear(),
                                                             "errorName"=>"Description",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            "ar_description"=>array(
                                                             "value"=>$this->loadSecurity($_POST['arDescription'])->clear(),
                                                             "errorName"=>"الوصف",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            
                                            "status"=>array(
                                                             "value"=>$this->loadSecurity($_POST['status'])->clear(),
                                                             "errorName"=>"Status",
                                                             "rules"=>"number"
                                                          ),
                                  );
                // load validation classs and pass validation data
                $dataValid = $this->loadValidation($validationArray)->formValidate();
                // check if the data is ok
                if(is_array($dataValid) && array_key_exists("success",$dataValid))
                {
                    
                    // prepare data
                    $dataModel['id_admin'] = $user_id;
                    $dataModel['status'] = $dataValid['success']['status'];
                    $dataModel['created'] = time();
                    
                    $add = $this->loadModel("SalesBackModel",$dataModel)->add();
                    if(FALSE !== $add)
                    {
                        // preparing en data
                        $dataEnModel['id_sales_back'] = $add;
                        $dataEnModel['title'] = $dataValid['success']['title'];
                        $dataEnModel['description'] = $dataValid['success']['description'];
                        $addEnData = $this->loadModel("SalesBackEnModel",$dataEnModel)->add();
                        // preparing ar data
                        $dataArModel['id_sales_back'] = $add;
                        $dataArModel['title'] = $dataValid['success']['ar_title'];
                        $dataArModel['description'] = $dataValid['success']['ar_description'];
                        $addArData = $this->loadModel("SalesBackArModel",$dataArModel)->add();
                        if(False !== $addEnData && FALSE !== $addArData)
                        {
                           $dataView['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Data Added Successfully Please Wait ..</div>';
                            header("Refresh: 2"); 
                        }else{
                            $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Adding Your Data Please Try Again</div>';
                        }
                    }else{
                        $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Adding Your Data Please Try Again</div>';
                    } 
                    
                    
                }else{
                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';
                }
            }
            
			$dataView['title'] = "Add Question";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."sales_back_add";
            // load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
        
        
        public function getAll()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/
            
            // get all Questions
            
            $dataView['questions'] = $this->loadModel("SalesBackModel")->retrieveAllData("WHERE `deleted` =?",array(1));
            if(is_array($dataView['questions']))
            {
                foreach($dataView['questions'] as $key=>$value)
                {
                    // get ar and en Data
                    $dataView['questionsEn'][$key] = $this->loadModel("SalesBackEnModel")->retriveDataById("id_sales_back",$value['id']);
                    $dataView['questionsAr'][$key] = $this->loadModel("SalesBackArModel")->retriveDataById("id_sales_back",$value['id']);
                }
            }
            
			$dataView['title'] = "Show / Edit Questions";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."sales_back_getall";
            // load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
        
        public function edit_selected()
        {
			/******** start header code ********/
            if(FALSE !== $this->loadHelper("UserHelper")->check_user_login())
            {
                // get user id from session
                $user_id = $this->loadSession()->getSession("user_id");
                // get user data for header
                $dataView['userData'] = $this->loadModel("UserModel")->retriveDataById("id",$user_id);
                if($dataView['userData'] == NULL)
                {
                    $this->redirect("Errors","index");
                    exit();
                }
            }else{
                $this->redirect("admin","login");
            }

            /******* end header code *******/
            // get id from url
            $id = (int)$this->loadRoute()->getSegment(2);
            if($id == 0)
            {
                $this->redirect("Errors","index");
                exit();
            }
            // get data
            $dataView['question'] = $this->loadModel("SalesBackModel")->retrieveAllData("WHERE `id` =? AND `deleted` =?",array($id,1));
            if($dataView['question'] == NULL)
            {
                $this->redirect("Errors","index");
                exit();
            }
            $dataView['question'] = array_shift($dataView['question']);
             // get ar and en Data
            $dataView['questionEn'] = $this->loadModel("SalesBackEnModel")->retriveDataById("id_sales_back",$id);
            $dataView['questionAr'] = $this->loadModel("SalesBackArModel")->retriveDataById("id_sales_back",$id);

            //start Edit question
			if(isset($_POST['edit']))
            {
                
                // preparing validation array
                $validationArray = array(
                                            "title"=>array(
                                                             "value"=>$this->loadSecurity($_POST['enTitle'])->clear(),
                                                             "errorName"=>"Title",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            "ar_title"=>array(
                                                             "value"=>$this->loadSecurity($_POST['arTitle'])->clear(),
                                                             "errorName"=>"العنوان",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            "description"=>array(
                                                             "value"=>$this->loadSecurity($_POST['enDescription'])->clear(),
                                                             "errorName"=>"Description",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            "ar_description"=>array(
                                                             "value"=>$this->loadSecurity($_POST['arDescription'])->clear(),
                                                             "errorName"=>"الوصف",
                                                             "rules"=>"required|min-length[3]"
                                                          ),
                                            
                                            "status"=>array(
                                                             "value"=>$this->loadSecurity($_POST['status'])->clear(),
                                                             "errorName"=>"Status",
                                                             "rules"=>"number"
                                                          ),
                                  );
                // load validation classs and pass validation data
                $dataValid = $this->loadValidation($validationArray)->formValidate();
                // check if the data is ok
                if(is_array($dataValid) && array_key_exists("success",$dataValid))
                {
                    // prepare data
                    $dataModel['status'] = $dataValid['success']['status'];
                    
                    $updateData = $this->loadModel("SalesBackModel",$dataModel)->UpdateData("id",$id);
                    if(FALSE !== $updateData)
                    {
                        // preparing en data
                        $dataEnModel['title'] = $dataValid['success']['title'];
                        $dataEnModel['description'] = $dataValid['success']['description'];
                        $updateEnData = $this->loadModel("SalesBackEnModel",$dataEnModel)->UpdateData("id_sales_back",$id);
                        // preparing ar data
                        $dataArModel['title'] = $dataValid['success']['ar_title'];
                        $dataArModel['description'] = $dataValid['success']['ar_description'];
                        $updateArData = $this->loadModel("SalesBackArModel",$dataArModel)->UpdateData("id_sales_back",$id);
                        if(False !== $updateEnData && FALSE !== $updateArData)
                        {
                           $dataView['message'] = '<div class="alert alert-success" role="alert"><staong><i class="fa fa-check" aria-hidden="true"></i> Success </strong> Your Data Updated Successfully Please Wait .. </div>';
                           header("Refresh: 2"); 
                        }else{
                            $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Updating Your Data Please Try Again</div>';
                        }
                    }else{
                        $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong> Error Updating Your Data Please Try Again</div>';
                    } 
                    
                }else{
                    $dataView['message'] = '<div class="alert alert-danger" role="alert"><staong><i class="fa fa-times" aria-hidden="true"></i> Error ! </strong>'.$dataValid.'</div>';
                }
            }
            
            
			$dataView['title'] = "Edit Selected Question";
            // global Template Config
            global $TEMPLATE_BACK_END ;
            // set content
            $TEMPLATE_BACK_END['files']['content'] = BACK_END_CONTROL_PATH."sales_back_edit_selected";
            // load template
            $this->loadTemplate($TEMPLATE_BACK_END,$dataView)->render();
        }
        
        
        public function updateStatus()
        {
                if(isset($_POST['action'],$_POST['id'],$_POST['status']) && $_POST['action'] == "updateStatus")
                {
                    // get User id
                    $id = (int)$_POST['id'];
                    if($id == 0)
                    {
                        $this->redirect("Errors","index");
                        exit;
                    }else{
                        // get current status
                        $currentStatus = $_POST['status'];
                        // if current status = on set it off
                        if($currentStatus == "on")
                        {
                            $setStatus = 2;
                        }else{
                            $setStatus = 1;
                        }
                        $dataModel['status'] = $setStatus;

                        if(false !== $this->loadModel("SalesBackModel",$dataModel)->updateData("id", $id))
                        {
                         echo $this->loadAjax()->DataToJson(array("status"=>"success"));
                         exit;
                        }else{
                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));
                            exit;
                        }
                    }
                }
         }
        
        public function delete()
        {
                if(isset($_POST['action'],$_POST['id']) && $_POST['action'] == "deleteData")
                {
                    $id = (int)$_POST['id'];
                    if($id == 0)
                    {
                        $this->redirect("Errors","index");
                        exit;
                    }else{
                        if(FALSE !== $this->loadModel("SalesBackModel",array("deleted"=>2))->updateData("id",$id))
                        {
                            echo $this->loadAjax()->DataToJson(array("status"=>"success"));
                            exit;
                        }else{
                            echo $this->loadAjax()->DataToJson(array("status"=>"faild"));
                            exit;
                        }
                    }
                 }
         }
        
        
        
    }

?>