<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post" enctype="multipart/form-data">
                <div class="col-lg-6">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Edit Country</h3>
                          <a class="btn btn-primary pull-right" href="<?php echo BASE_URL."country/add"?>"><i class="fa fa-plus" aria-hidden="true"></i> Add a New Country</a>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">Country Name</label>
                              <input type="text" name="name" value="<?php echo $countryEn['name'] ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Country Name">
                              <p class="help-block">Add Country Name<p>
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">Country Shortcut Name</label>
                              <input type="text" name="shortcut_name" value="<?php echo $countryEn['shortcut_name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Country Shortcut Name">
                              <p class="help-block">Add Country Shortcut Name<p>
                            </div>  
                            <div class="form-group">
                              <label for="exampleInputEmail1">Country Currency</label>
                              <input type="text" name="currency" value="<?php echo $countryEn['currency_name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="example : Doller - Egyption Pound">
                              <p class="help-block">Add Country Currency<p>
                            </div>
                             <div class="form-group">
                              <label for="exampleInputEmail1">Country Currency Shortcut</label>
                              <input type="text" name="shortcut_currency" value="<?php echo $countryEn['currency_shortcut_name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="example : USD - SAR">
                              <p class="help-block">Add Country Currency Shortcut<p>
                            </div>
                             
                            <div class="form-group">
                              <label for="exampleInputEmail1">Country  Phone Key</label>
                              <input type="text" name="phone_key" value="<?php echo $country['phone_key']; ?>" class="form-control" id="exampleInputEmail1" placeholder="example : 002">
                              <p class="help-block">Add Country Phone Key<p>
                            </div>  
                            <div class="form-group">
                              <label for="exampleInputEmail1">Country Longitude</label>
                              <input type="text" name="long" value="<?php echo $country['longitude']; ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Country Longitude">
                              <p class="help-block">Add Country Longitude<p>
                            </div>
                             <div class="form-group">
                              <label for="exampleInputEmail1">Country Latitude</label>
                              <input type="text" name="lat" value="<?php echo $country['latitude']; ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Country Latitude">
                              <p class="help-block">Add Country Latitude<p>
                            </div> 
                               
                            <div class="form-group">
                              <label for="availability" class="set-block">Status</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio1" value="1" name="status" <?php if($country['status']==1 ) echo "checked"; ?>>
                                 <label for="inlineRadio1"> Active </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio2" value="2" <?php if($country['status']==2 ) echo "checked"; ?>>
                                 <label for="inlineRadio2"> Not Active </label>
                              </div>
                           </div>    
                          </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" name="edit" class="btn btn-primary">Edit</button>
                            </div>
                      </div>
                      <!-- /.box -->
                </div>
                <div class="col-lg-6 arab_dir">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">تعديل دولة</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                          <div class="box-body">
                            <div class="form-group">
                              <label for="exampleInputEmail1">أسم الدولة</label>
                              <input type="text" name="ar_name" value="<?php echo $countryAr['name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="أدخل أسم الدولة باللغة العربية">
                              <p class="help-block">أدخل اسم الدولة<p>
                            </div>
                            <div class="form-group">
                              <label for="exampleInputEmail1">الاسم المختصر</label>
                              <input type="text" name="ar_shortcut_name" value="<?php echo $countryAr['shortcut_name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="ادخل الاسم المختصر">
                              <p class="help-block">ادخل الاسم المختصر<p>
                            </div>  
                            <div class="form-group">
                              <label for="exampleInputEmail1">عملة الدولة</label>
                              <input type="text" name="ar_currency" value="<?php echo $countryAr['currency_name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="مثال : جنية - ريال">
                              <p class="help-block">مثال : جنية - ريال<p>
                            </div>
                             <div class="form-group">
                              <label for="exampleInputEmail1">مختصر العملة</label>
                              <input type="text" name="ar_shortcut_currency" value="<?php echo $countryAr['currency_shortcut_name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="مثال ج.م">
                              <p class="help-block">مثال ج.م<p>
                            </div>  
                                                            
                          </div>
                          <!-- /.box-body -->
                      </div>
                      <!-- /.box -->
                </div>    
                </form>    
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->
