<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post" enctype="multipart/form-data">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Add a New Home Page Adv</h3>
                          <a target="_blank" class="btn btn-primary pull-right" href="<?php echo "customize\backend\images\homeadv.png"?>"><i class="fa fa-eye" aria-hidden="true"></i> Show Adv Location</a>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                          <div class="box-body">
                            <div class="form-group">
                                <label class="set-block">Country</label>
                                <select name="id_country" class="form-control chosen country_select">
                                    <option value="0"> Choose Country</option>
                                    <?php
                                        if(isset($countries) && is_array($countries))
                                        {
                                            foreach($countries as $key=>$data)
                                            {
                                                echo '<option value='.$data['id'].'>'.$countriesLang[$key]['name'].'</option>';
                                            }
                                        }else{
                                            echo '<option value="0">No Data Found</option>';
                                        }
                                      ?>
                                </select>
                            </div> 
                            <div class="form-group">
                                <label class="set-block">Position</label>
                                <select name="position" class="form-control chosen country_select">
                                    <option value="0"> Choose Position</option>
                                    <option value="1"> position 1</option>
                                    <option value="2"> position 2</option>
                                    <option value="3"> position 3</option>
                                    <option value="4"> position 4</option>
                                    <option value="5"> position 5</option>
                                    <option value="6"> position 6</option>
                                    <option value="7"> position 7</option>
                                    <option value="8"> position 8</option>
                                    <option value="9"> position 9</option>
                                    <option value="10"> position 10</option>
                                    <option value="11"> position 11</option>
                                    <option value="12"> position 12</option>
                                </select>
                            </div>   
                            <div class="form-group">
                              <label for="exampleInputEmail1">Url</label>
                              <input type="text" name="url" value="<?php if(isset($_POST['url'])){echo $_POST['url'];} ?>"  id="" class="form-control" id="exampleInputEmail1" placeholder="Enter Url">
                              <p class="help-block">Enter Url<p>
                            </div>  
                            <div class="form-group">
                              <label for="exampleInputFile">Image</label>
                              <input type="file" name="image" id="exampleInputFile">

                              <p class="help-block">Upload Slider Image.</p>
                            </div>
                             
                            <div class="form-group">
                              <label for="availability" class="set-block">Status</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio1" value="1" name="status" checked="">
                                 <label for="inlineRadio1"> Active </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio2" value="2" name="status">
                                 <label for="inlineRadio2"> Not Active </label>
                              </div>
                           </div>    
                          </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                                <button type="submit" name="add" class="btn btn-primary">Add</button>
                            </div>
                      </div>
                      <!-- /.box -->
                </div>
                
                </form>    
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->


