<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <form method="post" enctype="multipart/form-data">
                <div class="col-lg-6">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">Add a New Product</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                        
                        <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                            
                            <div  class="box-body">
                            <div class="form-group">
                                <label class="set-block">Main Category</label>
                                <select name="id_category" class="form-control chosen main_category_select">
                                    <option value="0"> Choose Main Category</option>
                                    <?php

                                        if(isset($allCategories) && is_array($allCategories))
                                        {
                                            foreach($allCategories as $key=>$data)
                                            {
                                                echo '<option value='.$data['id'].'>'.$allCategoriesEn[$key]['name']."-".$allCategoriesAr[$key]['name'].'</option>';
                                            }
                                        }else{
                                            echo '<option value="0">No Data Found</option>';
                                        }
                                      ?>
                                </select>
                            </div>
                            <div class="form-group">
                                <label class="set-block">Sub Category</label>
                                <select name="id_sub_category" class="form-control sub_category">
                                    <option value="0">Sub Category</option>
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Product Title</label>
                                <input id="" value="<?php if(isset($_POST['title'])) echo $_POST['title']; ?>"  name="title" type="text" class="form-control" placeholder="Product Title">
                            </div>
                            <div class="form-group">
                                <label>Product Slug</label>
                                <textarea name="slug" class="form-control"><?php if(isset($_POST['slug'])) echo $_POST['slug']; ?></textarea>
                            </div>
                            <div class="form-group">
                                <label>Product Description</label>
                                <textarea name="description" rows="8" class="form-control"><?php if(isset($_POST['description'])) echo $_POST['description']; ?></textarea>
                            </div>
                            <div class="form-group">
                                <label>Product KeyWords</label>
                                <input id="" value="<?php if(isset($_POST['keywords'])) echo $_POST['keywords']; ?>"  name="keywords" type="text" class="form-control" placeholder="separate Between Words With , ">
                            </div>    
                            <div class="form-group">
                                <label class="set-block">Brand</label>
                                <select name="id_brand" class="form-control brand_select">
                                    
                                </select>
                            </div>
                            <div class="form-group">
                                <label>Product Code</label>
                                <input id="" value="<?php if(isset($_POST['code'])) echo $_POST['code']; ?>"  name="code" type="text" class="form-control" placeholder="Product Code">
                            </div>

                            <div class="form-group">
                                <div class="data_added">
                                      <div class="row last_row">
                                          <div class="col-lg-4">
                                            <div class="form-group last_input">
                                              <label for="exampleInputEmail1" class="set_block">Attribute</label>
                                                <select class="form-control category_attrs" name="attr[]">
                                                    <option value="0">Select Attribute</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="col-lg-4">
                                            <div class="form-group">
                                              <label for="exampleInputEmail1" class="set_block">Value En</label>
                                              <input type="text" name="attr_values_en[]"  class="form-control" id="exampleInputEmail1" placeholder="Value">
                                            </div>
                                        </div>  
                                        <div class="col-lg-4">
                                            <div class="form-group last_input">
                                              <label for="exampleInputEmail1" class="set_block">Value Ar</label>
                                              <input type="text" name="attr_values_ar[]"  class="form-control set_width85" id="exampleInputEmail1" placeholder="القيمة">
                                              <i class="fa fa-plus add_more_inputs add_more_inputs2 " title="Add More" aria-hidden="true"></i>
                                            </div>
                                        </div>

                                    </div>
                                </div>
                            </div>

                                <div class="form-group">
                                    <label for="availabilitryty" class="set-block">Special Product</label>
                                    <div class="radio radio-info  radio-inline">
                                        <input type="radio" id="inlineRadio21" value="1" name="special" checked="">
                                        <label for="inlineRadio21"> Special </label>
                                    </div>
                                    <div class="radio radio-info  radio-inline">
                                        <input type="radio" id="inlineRadio22" value="2" name="special">
                                        <label for="inlineRadio22"> Not Special </label>
                                    </div>
                                </div>



                            <div class="form-group">
                                <label>Main Image</label>
                                <input id="" name="image" type="file" class="form-control" >
                            </div>
                           <div class="form-group">
                                <label>Product Album Image</label>
                                <input id="" name="album[]" type="file" multiple class="form-control" >
                            </div>
                            
                            <div class="form-group">
                                <label>Price Per Item </label>
                                <input id="mobile" value="<?php if(isset($_POST['price'])) echo $_POST['price']; ?>"  name="price" type="text" class="form-control" placeholder="50">
                            </div>
	                            <div class="form-group">
		                            <label>Descount Prec % </label>
		                            <input id="mhobile" value="<?php if(isset($_POST['discount_prec'])) echo $_POST['discount_prec']; ?>"  name="discount_prec" type="text" class="form-control" placeholder=" 10">
	                            </div>

                            <div class="form-group">
                              <label for="availability" class="set-block">Status</label>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio1" value="1" name="status" checked="">
                                 <label for="inlineRadio1"> Active </label>
                              </div>
                              <div class="radio radio-info  radio-inline">
                                 <input type="radio" id="inlineRadio2" value="2" name="status">
                                 <label for="inlineRadio2"> Not Active </label>
                              </div>
                           </div>

                            </div>
                          <!-- /.box-body -->
                            <div class="box-footer">
                            <button type="submit" name="add" class="btn btn-primary">Add</button>
                          </div>

                      </div>
                      <!-- /.box -->
                </div>
                <div class="col-lg-6 arab_dir">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title">أضافة منتج جديد</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->
                            
                            <div  class="box-body">
                            
                            <div class="form-group">
                                <label>عنوان المنتج</label>
                                <input id="" value="<?php if(isset($_POST['title_ar'])) echo $_POST['title_ar']; ?>"  name="title_ar" type="text" class="form-control" placeholder="عنوان المنتج">
                            </div>
                            <div class="form-group">
                                <label>مختصر المنتج</label>
                                <textarea name="slug_ar" class="form-control"><?php if(isset($_POST['slug_ar'])) echo $_POST['slug_ar']; ?></textarea>
                            </div>
                            <div class="form-group">
                                <label>وصف المنتج</label>
                                <textarea name="description_ar" rows="8" class="form-control"><?php if(isset($_POST['description_ar'])) echo $_POST['description_ar']; ?></textarea>
                            </div>
                            <div class="form-group">
                                <label>الكلمات الدليلية</label>
                                <input id="" value="<?php if(isset($_POST['keywords_ar'])) echo $_POST['keywords_ar']; ?>"  name="keywords_ar" type="text" class="form-control" placeholder="أفصل بين كل كلمة واخري بعلامة ,">
                            </div>
                            </div>
                          <!-- /.box-body -->

                      </div>
                      <!-- /.box -->
                </div>    
                </form>
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->
<script>
$(document).ready(function(){


	// start add more inputs code

    var counter = 0;
    var html = '';
    $(".data_added").on("click",".add_more_inputs",function(){

        if(counter == 0)
        {
            html += $(".data_added").html();
        }
        $(".data_added").last().append(html);
        
        counter++;
    });
    // end add more inputs code
    // start get sub category when change category
    	$(".content-wrapper").on("change",".main_category_select",function(){
			 // get provider id
			 var id = $(this).val();
			 var myaction = "getCategorySubCategories";
             var allData = {"action":myaction,"id":id};
            $.ajax({
                    url: "<?php echo BASE_URL."offer/get_sub_categories_by_category_id" ?>",
                    type:"POST",
                    data: allData,
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                        },
                    },
                    success:function(valdata) {
                        
                        //alert(valdata);
                        //return;
                        var da = jQuery.parseJSON(valdata);
                        var text  = '',
                            text2 = '',
                            text3 = '';
                        
                        if(da['status'] == "success")
                        {
                            // start add data to sub category select
                            if(da['subCategoriesEn'] != null)
                            {
                                text += '<option value="0">Select Sub Category</option>';
                                for(i = 0; i< da['subCategoriesEn'].length;i++)                                                                                         
                                {
                                    text += '<option value="'+da['subCategoriesEn'][i]['id_category']+'">'+da['subCategoriesEn'][i]['name']+" - "+da['subCategoriesAr'][i]['name']+'</option>';	
                                }
                                $(".sub_category").html(text);      
                            }else{
                                $(".sub_category").html("<option value='0'>No Sub Categories Found</option>");
                            }
                            // end add data to sub category select
                            
                            // start add data to category attr select
                            if(da['categoryAttributesEn'] != null)
                            {
                                for(i = 0; i< da['categoryAttributesEn'].length;i++)                                                                                         
                                {
                                    text2 += '<option value="'+da['categoryAttributesEn'][i]['id_category_attributes']+'">'+da['categoryAttributesEn'][i]['name']+" - "+da['categoryAttributesAr'][i]['name']+'</option>';	
                                }
                                $(".category_attrs").html(text2);      
                            }else{
                                $(".category_attrs").html("<option value='0'>No Attributes Found</option>");
                            }
                            // end add data to category attr select
                            // start add data to brand select
                            if(da['categoryBrandsEn'] != null)
                            {
                                for(i = 0; i< da['categoryBrandsEn'].length;i++)                                                                                         
                                {
                                    text3 += '<option value="'+da['categoryBrandsEn'][i]['id_brand']+'">'+da['categoryBrandsEn'][i]['name']+" - "+da['categoryBrandsAr'][i]['name']+'</option>';	
                                }
                                $(".brand_select").html(text3);      
                            }else{
                                $(".brand_select").html("<option value='0'>أخري</option>");
                            }
                            // end add data to brand select
                        }else{
                            alert("Error");
                        }
                    }
                });
                return false;
	});
    // end get sub category when change category
    
    // start get sub category attr
    	$(".content-wrapper").on("change",".sub_category",function(){
			 // get provider id
			 var id = $(this).val();
			 var myaction = "getCategoryAttr";
             var allData = {"action":myaction,"id":id};
            $.ajax({
                    url: "<?php echo BASE_URL."offer/getCategoryAttr" ?>",
                    type:"POST",
                    data: allData,
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                        },
                    },
                    success:function(valdata) {
                        
                        //alert(valdata);
                        //return;
                        var da = jQuery.parseJSON(valdata);
                        var text  = '';
                        
                        if(da['status'] == "success")
                        {
                            // start add data to category attr select
                            if(da['categoryAttributesEn'] != null)
                            {
                                for(i = 0; i< da['categoryAttributesEn'].length;i++)                                                                                         
                                {
                                    text += '<option value="'+da['categoryAttributesEn'][i]['id_category_attributes']+'">'+da['categoryAttributesEn'][i]['name']+" - "+da['categoryAttributesAr'][i]['name']+'</option>';	
                                }
                                $(".category_attrs").html(text);      
                            }else{
                                $(".category_attrs").html("<option value='0'>No Attributes Found</option>");
                            }
                            // end add data to category attr select
                        }else{
                            alert("Error");
                        }
                    }
                });
                return false;
	});
    // end get sub category attr


    
});
</script>
