<!-- Content Wrapper. Contains page content -->

<div class="content-wrapper">

    <!-- Content Header (Page header) -->

    <section class="content-header">

        <h1>

			<?php

				echo isset($title) ? $title : NULL;

			?>

        </h1>

    </section>

    <!-- Main content -->

    <section class="content">
        <div class="row">
            <form method="post">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Show Order Information</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->

						<?php
							if(isset($message))
							{
								echo $message;
							}
						?>
                        <div class="box-body">
                            <table class="table table-bordered dt-responsive tablefordata">
                                <tr>
                                    <td><strong>Customer Id</strong></td>
                                    <td><strong><?php echo $customerInfo['id'] ?></strong></td>
                                </tr>
                                <tr>
                                    <td><strong>Customer Name</strong></td>
                                    <td><strong><a href="<?php echo BASE_URL."User/show_selected/".$order['id_customer']?>"><?php echo $customerInfo['name'] ?></a></strong></td>
                                </tr>
                                <tr>
                                    <td><strong>Customer Phone</strong></td>
                                    <td><strong><?php echo $customerInfo['phone'] ?></strong></td>
                                </tr>
                                <tr>
                                    <td><strong>Customer Mail</strong></td>
                                    <td><strong><?php echo $customerInfo['mail'] ?></strong></td>
                                </tr>
								<?php //echo $customerInfo['address']// ?>
                                <tr>
                                    <td><strong>Order  Address</strong></td>
                                    <td><strong><?php echo $UserAddress['building_number'].",".$UserAddress['street']."," ." Floor No.".$UserAddress
												['floar_number'].",".$UserAddress['region_name'].",".$city['name'].".";?></strong></td>
                                </tr>
                                <tr>
                                    <td><strong>Payment Way</strong></td>
                                    <td><strong><?php echo $paymentWay['name'] ?></strong></td>
                                </tr>
                                <tr>
                                    <td><strong>Delivery Date</strong></td>
                                    <td>
                                        <strong>
                                            <?php
                                            if($order['delivery_time'] == 1)
                                            {
                                                echo "Now";
                                            }elseif($order['delivery_time'] == 2 && is_array($deliveryDate)){
                                                echo "Date : ".$deliveryDate['delivery_date'].
                                                      " From Time : ".$deliveryDate['delivery_time_from'].
                                                      " To Time : ".$deliveryDate['delivery_time_to']
                                                    ;
                                            }
                                            
                                            ?>
                                        </strong>
                                    </td>
                                </tr>
                                <tr>
                                    <td><strong>Change Order Status</strong></td>
                                    <td><label data-toggle="modal" data-target="#statusmodel" data-orderid="<?php echo $id;?>"  class=" pointer label label-primary orderstatuss"><strong><?php echo $Status_En['name']."-".$Status_Ar['name']?></strong></label></td>
                                </tr>

                            </table>
                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>

            </form>
        </div>

        <div class="row">

            <div class="col-lg-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title ">Order Details</h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="adminform">
                        <div class="text-center">
                            <span onclick="exportToexcel('#all_data')" class="btn btn-success export-btn">Export To Excel</span>
                        </div>
                        <!-- form start -->
                        <table id="all_data" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData tableForAllData" cellspacing="0"
                               width="100%">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Product Name</th>
                                <th>Quantity</th>
                                <th> Remaining Quantity</th>
                                <th>Price Per Item</th>
                                <th>Total Price</th>
                                <th>Delivery</th>
                            </tr>
                            </thead>
                            <tbody>
							<?php
                                $button='';


								if(isset($orderInDetails) && is_array($orderInDetails))
								{
									foreach($orderInDetails as $key => $data)
									{
										echo '<tr id="row'.$data['id'].'">
                                                    <td>'.($key+1).'</td>
                                                    <td>'.$product_en[$key]['title'].'</td>
                                                    <td>'.$data['quantity'].'</td>
                                                    <td>'.($data['quantity']-$checkQuntity[$key]) .'</td>
                                                    <td>'.$data['price_per_item'].' LE.</td>
                                                   <td>'.($data['price_per_item'] * $data['quantity']).' LE.</td>';
										echo'
                                              <td><ul class=" left actions">
                                              <li>
                                              <a href="" data-toggle="modal"  data-orderDetails="'.$data['id'].'"  data-product="'.$data['id_product'].'" data-id="'.$data['id_order'].'" data-target="#DeliveryModal" class="addstar" title="star To Vendor"><i class="fa fa-car" aria-hidden="true"></i></a>';
										      if(!is_array($checkStar))
                                                {

													echo   ' <a href="" data-toggle="modal"  data-orderDetails="'.$data['id'].'"  data-product="'.$data['id_product'].'" data-id="'.$data['id_order'].'" data-target="#addToCustomerModel" class="addtocustomerdelivery" title=" Star To Customer"><i class="fa fa-send" aria-hidden="true"></i></a>';
												}
                                             echo' </li>

                                             </ul>
                                             </td>
                                                 
                                                  </tr>';
									}
								}else{
									echo '<tr><td colspan="7">No Data Found</td></tr>';
								}
							?>
                            </tbody>
                            <tr><td colspan="6">Total Products Price  = <span class="text text-primary"><strong><?php echo $order['total_price'] ." "."LE." ?></strong></span></td></tr>';
                            <tr><td colspan="6">Shipping = <span class="text text-primary"><strong><?php echo $order['shipping'] ." "."LE." ?></strong></span></td></tr>';
                            <tr><td colspan="6">Total Price = <span class="text text-primary"><strong><?php echo $order['total_with_shipping'] ." "."LE." ?></strong></span></td></tr>';

                        </table>

                    </div>

                </div>
            </div>
        </div>

        <div class="row">

            <div class="col-lg-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title ">Order Star Details To Get Product  From Vendor</h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="adminform">
                        <div class="text-center">
                            <span onclick="exportToexcel('#all_data_star')" class="btn btn-success export-btn">Export To Excel</span>
                        </div>
                        <!-- form start -->
                        <table id="all_data_star" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData tableForAllData" cellspacing="0"
                               width="100%">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Star Name</th>
                                <th>Vendor Name</th>
                                <th>Product Name</th>
                                <th>Quantity</th>
                                <th>Price</th>
                                <th>Receiving products</th>
                                <th>Action</th>

                            </tr>
                            </thead>
                            <tbody>
							<?php

								if(isset($orderStarDetails) && is_array($orderStarDetails))
								{
									foreach($orderStarDetails as $key => $data)
									{

										echo '<tr id="roww'.$data['id'].'">
                                                    <td>'.($key+1).'</td>
                                                    <td>'.$starName[$key]['name'].'</td>
                                                    <td>'.$vendorName[$key]['name'].'</td>
                                                    <td>'.$productEnName[$key]['title'].'</td>
                                                    <td>'.$data['quantity'].'</td>
                                                   <td>'.$data['price_per_item'].' LE.</td>';
                                                if($data['star_get_products'] == 1)
                                                {
                                                    echo "<td><strong>Yes</strong></td>";
                                                }else{
                                                    echo "<td><strong>No</strong></td>";
                                                }

										echo '  <td> <ul class="actions">
                                                         <li><a href="" data-toggle="modal" data-id="'.$data['id'].'" data-target="#deleteModal" class="deleteIcon" title="Delete"><i class="fa fa-trash" aria-hidden="true"></i>  </a></li>
                                                        </ul></td>
                                                 
                                                  </tr>';
									}
								}else{
									echo '<tr><td colspan="8">No Data Found</td></tr>';
								}
							?>
                            </tbody>

                        </table>

                    </div>

                </div>
            </div>
        </div>
        <div class="row">

            <div class="col-lg-12">
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title ">Order Star Details To Delver  Order To Customer </h3>
                    </div>
                    <!-- /.box-header -->
                    <div class="adminform">
                        <div class="text-center">
                            <span onclick="exportToexcel('#all_data_star')" class="btn btn-success export-btn">Export To Excel</span>
                        </div>
                        <!-- form start -->
                        <table id="all_data_star" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData tableForAllData" cellspacing="0"
                               width="100%">
                            <thead>
                            <tr>
                                <th>#</th>
                                <th>Star Name</th>
                                <th>Action</th>

                            </tr>
                            </thead>
                            <tbody>
							<?php

								if(isset($checkStar) && is_array($checkStar))
								{
									foreach($checkStar as $key => $data)
									{

										echo '<tr id="rowww'.$data['id'].'">
                                                    <td>'.($key+1).'</td>
                                                    <td>'.$star_name[$key]['name'].'</td>';

										echo '  <td> <ul class="actions">
                                                         <li><a href="" data-toggle="modal" data-id="'.$data['id'].'" data-target="#deleteModalToCustomer" class="deleteModalToCustomer" title="Delete"><i class="fa fa-trash" aria-hidden="true"></i>  </a></li>
                                                        </ul></td>
                                                 
                                                  </tr>';
									}
								}else{
									echo '<tr><td colspan="3">No Data Found</td></tr>';
								}
							?>
                            </tbody>

                        </table>

                    </div>

                </div>
            </div>
        </div>

    </section><!-- /.content -->

</div><!-- /.content-wrapper -->

<!-- Start DeliveryModal Modal -->
<div class="modal fade" id="DeliveryModal" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Add Star </h4>
            </div>
            <div class="modal-body">
                <div id="deleteResult"></div>
                <div class="form-group">
                    <label class="set-block">Star Name</label>
                    <select name="id_star" id="id_star" class="form-control chosen main_category_select">
                        <option value="0"> Choose Star</option>
						<?php

							if(isset($starts) && is_array($starts))
							{
								foreach($starts as $key=>$data)
								{
									echo '<option value='.$starDetails[$key]['id'].'>'.$starDetails[$key]['name'].'</option>';
								}
							}else{
								echo '<option value="0">No Data Found</option>';
							}
						?>
                    </select>
                </div>
                <div class="form-group">
                    <label class="set-block">Vendor Name</label>
                    <select name="id_vendor" id="id_vendor" class=" form-control chosen main_category_select">
                        <option value="0"> Choose Vendor</option>
						<?php
							if(isset($vendors) && is_array($vendors))
							{
								foreach($vendors as $key=>$data)
								{
									echo '<option value='.$data['id'].'>'.$data
										['name'].'</option>';
								}
							}else{
								echo '<option value="0">No Data Found</option>';
							}
						?>
                    </select>
                </div>
                <div class="form-group">
                    <label>Price</label>
                    <input id="price_per_item" name="price_per_item" value=""   type="text" class="form-control" placeholder="Enter Price">
                </div>
                <div class="form-group">
                    <label>Quantity</label>
                    <input id="quantity" name="quantity" value=""   type="text" class="form-control" placeholder="Enter Quantity">
                </div>
                <button type="button" class="btn btn-primary addstatovendor" >add</button>                </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!--End DeliveryModal Modal-->
<!-- Start DeliveryModal Modal To customer -->
<div class="modal fade" id="addToCustomerModel" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Add Star </h4>
            </div>
            <div class="modal-body">
                <div id="deleteResultcustomer"></div>
                <div class="form-group">
                    <label class="set-block">Star Name</label>
                    <select name="id_star_customer" id="id_star_customer" class="form-control chosen main_category_select">
                        <option value="0"> Choose Star</option>
						<?php

							if(isset($starts) && is_array($starts))
							{
								foreach($starts as $key=>$data)
								{
									echo '<option value='.$starDetails[$key]['id'].'>'.$starDetails[$key]['name'].'</option>';
								}
							}else{
								echo '<option value="0">No Data Found</option>';
							}
						?>
                    </select>
                </div>
                <div class="form-group">
                    <input id="customer_id" name="customer_id" value="<?php echo $order['id_customer']?>"   type="hidden" class="form-control" placeholder="Enter Price">
                </div>




                <button type="button" class="btn btn-primary addtocustomer" >add</button>                </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!--End DeliveryModal Modal -->
<!-- Start Delete Modal -->
<div class="modal fade" id="deleteModal" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Confirm delete Your Data</h4>
            </div>
            <div class="modal-body">
                <div id="deleteResultt"></div>
                <p>Are You Sure ? </p>
                <input type="submit"  class="btn btn-primary del" name="delete" value="Delete" />
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!--End Delete Modal-->
<!-- Start Delete Modalto customer -->
<div class="modal fade" id="deleteModalToCustomer" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Confirm delete Your Data</h4>
            </div>
            <div class="modal-body">
                <div id="deleteResultt"></div>
                <p>Are You Sure ? </p>
                <input type="submit"  class="btn btn-primary deltocustome" name="delete" value="Delete" />
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!--End Delete Modal-->
<!-- Start OrderStatus Modal -->
<div class="modal fade" id="statusmodel" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Change status </h4>
            </div>
            <div class="modal-body">
                <div id="Result"></div>
                <div class="form-group">
					<?php
						if(isset($allOrderStatus)&&is_array($allOrderStatus))
						{
							foreach ($allOrderStatus as $key=>$value):
								echo '<label class="radio-inline">
                        <input type="radio" name="inlineRadioOptions" class="" id="orderStatus" value="'.$value['id'].'"> '.$OrderStatus_En[$key]['name'].'
                    </label>';
							endforeach;

						}

					?>
                </div>

                <button type="button" class="btn btn-primary updateorderstatuss "  >Update</button> </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<!--End OrderStatus Modal-->
<script>
	$(document).ready(function(){
		//strat delet start to customer
		$("body").on("click",".deleteModalToCustomer",function () {
			$("#deleteResultttocustomer").html("");
			var id=$(this).attr("data-id");
			var action="deletecustomerstar";

			$(".deltocustome").click(function () {

				$.ajax({
					url: "<?php echo BASE_URL.'CustomerOrder/deleteStarToCustomer' ?>",
					type:"POST",
					data: {id:id,action:action},
					beforeSend:function(){
						$(".loadingImage").show();
					},
					statusCode: {
						404: function() {
							alert( "page not found" );
						},
					},
					success:function (data) {

						var result = jQuery.parseJSON(data);
						if(result['status'] == "success")
						{
							$("#deleteResultttocustomer").html('<div class="alert alert-success" role="alert"><strong>Success </strong> Data Deleted Successfuly </div>');
							$('#deleteModalToCustomer').modal('hide');
							$("#rowww"+id).fadeOut(1000);
						}else{
							$("#deleteResultttocustomer").html('<div class="alert alert-danger" role="alert"><strong> Error ! </strong> Error Deleting  Your Data </div>');
						}


					}
				})

			})

		})

		//update order status
		$("body").on("click",".orderstatuss",function () {
			$("#Result").html("");
			var orderid=$(this).attr("data-orderid");
			var action="updateorderstatus";
			$(".updateorderstatuss").on("click",function () {
				var statusid=$("#orderStatus:checked").val();
				var button='';
				switch (statusid){
					case '1':
						button='<strong><label class="label label-primary">Pending</strong></label>';
						break;
					case '2':
						button='<strong><label class="label label-primary">Refused</strong></label>';
						break;
					case '3':
						button='<strong><label class="label label-primary">Completed</strong></label>';
						break;
					default:
				}
				$.ajax({
					url: "<?php echo BASE_URL.'CustomerOrder/updateOrderStatus' ?>",
					type:"POST",
					data:{orderid:orderid,action:action,statusid:statusid},
					beforeSend:function(){
					},
					statusCode: {
						404: function() {
							alert( "page not found" );
						},
					},
					success:function(data) {
						var result = jQuery.parseJSON(data);
						if(result['status'] == "success")
						{
							$("#Result").html('<div class="alert alert-success" role="alert"><strong>Success </strong> Data Uppdated Successfuly Please Wait .. </div>');
							$('.orderstatuss').empty();
							$('.orderstatuss').html(button);

							window.setTimeout('location.reload()', 1000);
						}else{
							$("#Result").html(result['message']);

						}
					}
				});

			})

		})


		//add star to vendor
		$("body").on( 'click', '.addstar', function () {

			$("#deleteResult").html("");
			var id_order=$(this).attr("data-id");
			var id_product=$(this).attr("data-product");
			var id_order_details=$(this).attr("data-orderDetails");
			$(".addstatovendor").click(function(){
				var action="addStarVendor";
				var quantity=$("#quantity").val();
				var vendor=$("#id_vendor").val();
				var star=$("#id_star").val();
				var price=$("#price_per_item").val();
				$.ajax({
					url: "<?php echo BASE_URL.'CustomerOrder/AddStarToVendor' ?>",
					type:"POST",
					data: {id_order_details:id_order_details,id_order:id_order,id_product:id_product,action:action,quantity:quantity,vendor:vendor,star:star,price:price},
					beforeSend:function(){
					},
					statusCode: {
						404: function() {
							alert( "page not found" );
						},
					},
					success:function(data) {
						var result = jQuery.parseJSON(data);
						if(result['status'] == "success")
						{
							$("#deleteResult").html('<div class="alert alert-success" role="alert"><strong>Success </strong> Data added Successfuly </div>');

							$('#deleteModal').modal('hide');
							window.setTimeout('location.reload()', 2000);
						}else{
							$("#deleteResult").html(result['message']);

						}
					}
				});

			});
		});
		//add star to vendor
		$("body").on( 'click', '.addtocustomerdelivery', function () {

			$("#deleteResultcustomer").html("");
			var id_order=$(this).attr("data-id");
			$(".addtocustomer").click(function(){
				var action="addStarcustomer";
				var id_star=$("#id_star_customer").val();
				var customer_id=$("#customer_id").val();

				$.ajax({
					url: "<?php echo BASE_URL.'CustomerOrder/AddStarToCustomer' ?>",
					type:"POST",
					data: {customer_id:customer_id,id_star:id_star,id_order:id_order,action:action},
					beforeSend:function(){
					},
					statusCode: {
						404: function() {
							alert( "page not found" );
						},
					},
					success:function(data) {
						var result = jQuery.parseJSON(data);
						if(result['status'] == "success")
						{
							$("#deleteResultcustomer").html('<div class="alert alert-success" role="alert"><strong>Success </strong> Data added Successfully </div>');

							$('#addToCustomerModel').modal('hide');
							window.setTimeout('location.reload()', 2000);
						}else{
							$("#deleteResultcustomer").html(result['message']);

						}
					}
				});

			});
		});
		// update start vendor status

		$("body").on("click",".status",function () {
			var id=$(this).attr("data-id");
			var action="uodatestatus";
			var status= $(this).attr("data-target");
			$.ajax({
				url: "<?php echo BASE_URL.'CustomerOrder/updateStatus' ?>",
				method:"post",
				data:{id:id,action:action,status:status},
				beforeSend:function(){
				},
				statusCode: {
					404: function() {
						alert( "page not found" );
					},
				},
				success:function (data) {
					var result = jQuery.parseJSON(data);
					if(result['statuss']=="success")
					{
						if(status == "on")
						{
							$(".update"+id).removeClass("on") ;
							$(".update"+id).html("off");
							$(".update"+id).addClass("off");
							$(".update"+id).attr("data-target","off");
						}else{
							$(".update"+id).removeClass("off") ;
							$(".update"+id).html("on");
							$(".update"+id).addClass("on");
							$(".update"+id).attr("data-target","on");
						}
					}
				}
			})

		})
		//strat delet start vendor
		$("body").on("click",".deleteIcon",function () {
			$("#deleteResultt").html("");
			var id=$(this).attr("data-id");
			var action="deleteCountry";
			$(".del").click(function () {
				$.ajax({
					url: "<?php echo BASE_URL.'CustomerOrder/delete' ?>",
					type:"POST",
					data: {id:id,action:action},
					beforeSend:function(){
						$(".loadingImage").show();
					},
					statusCode: {
						404: function() {
							alert( "page not found" );
						},
					},
					success:function (data) {
						var result = jQuery.parseJSON(data);
						if(result['status'] == "success")
						{
							$("#deleteResultt").html('<div class="alert alert-success" role="alert"><strong>Success </strong> Data Deleted Successfuly </div>');
							$('#deleteModal').modal('hide');
							$("#roww"+id).fadeOut(1000);
						}else{
							$("#deleteResult").html('<div class="alert alert-danger" role="alert"><strong> Error ! </strong> Error Deleting  Your Data </div>');
						}


					}
				})

			})

		})





	});
</script>

