<!-- Content Wrapper. Contains page content -->

<div class="content-wrapper">

        <!-- Content Header (Page header) -->

        <section class="content-header">

          <h1>

             <?php

               echo isset($title) ? $title : NULL;

             ?>

          </h1>

        </section>

        <!-- Main content -->

        <section class="content">

            <div class="row">

                <form method="post">

                <div class="col-lg-6">

                    <div class="box box-primary">

                        <div class="box-header with-border">

                          <h3 class="box-title">Edit Selected Region</h3>

                        </div>

                        <!-- /.box-header -->

                        <!-- form start -->

                        

                        <?php

                        if(isset($message))

                        {

                            echo $message;

                        }

                        ?>

                          <div class="box-body">

                            <div class="form-group">

                              <label for="exampleInputEmail1">Region Name</label>

                              <input type="text" name="enName" value="<?php echo $regionEn['name']; ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Region Name">

                              <p class="help-block">Add Region Name<p>

                            </div>

                            <div class="form-group">

                              <label for="exampleInputEmail1">City</label>

                              <select name="city"  class="form-control chosen">

                                  <?php

                                    if(isset($cities) && is_array($cities))

                                    {

                                        foreach($cities as $key=>$data)

                                        {

                                            if($data['id'] == $region['id_city'])

                                            {

                                                echo '<option selected value='.$data['id'].'>'.$citiesEn[$key]['name']." - ".$citiesAr[$key]['name'].'</option>';

                                            }else{

                                                echo '<option value='.$data['id'].'>'.$citiesEn[$key]['name']." - ".$citiesAr[$key]['name'].'</option>';

                                            }

                                        }

                                    }else{

                                        echo '<option value="0">No Data Found</option>';

                                    }

                                  ?>

                              </select>

                              <p class="help-block">Select City<p>

                            </div>  

                            <div class="form-group">

                              <label for="exampleInputEmail1">Region Longitude</label>

                              <input type="text" name="long" value="<?php echo $region['longitude'] ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Region Longitude">

                              <p class="help-block">Add Region Longitude<p>

                            </div>

                             <div class="form-group">

                              <label for="exampleInputEmail1">Region Latitude</label>

                              <input type="text" name="lat" value="<?php echo $region['latitude'] ?>" class="form-control" id="exampleInputEmail1" placeholder="Enter Region Latitude">

                              <p class="help-block">Add Region Latitude<p>

                            </div> 

                            <div class="form-group">

                              <label for="availability" class="set-block">Status</label>

                              <div class="radio radio-info  radio-inline">

                                 <input type="radio" id="inlineRadio1" value="1" <?php if($region['status']==1 ) echo "checked"; ?>  name="status" >

                                 <label for="inlineRadio1"> Active </label>

                              </div>

                              <div class="radio radio-info  radio-inline">

                                 <input type="radio" id="inlineRadio2" value="2" <?php if($region['status']==2 ) echo "checked"; ?> name="status">

                                 <label for="inlineRadio2"> Not Active </label>

                              </div>

                           </div>    

                          </div>

                          <!-- /.box-body -->

                            <div class="box-footer">

                                <button type="submit" name="edit" class="btn btn-primary">Edit</button>

                            </div>

                      </div>

                      <!-- /.box -->

                </div>

                <div class="col-lg-6 arab_dir">

                    <div class="box box-primary">

                        <div class="box-header with-border">

                          <h3 class="box-title">تعديل منطقة</h3>

                        </div>

                        <!-- /.box-header -->

                        <!-- form start -->

                          <div class="box-body">

                            <div class="form-group">

                              <label for="exampleInputEmail1">أسم المنطقه</label>

                              <input type="text" name="arName" value="<?php echo $regionAr['name'] ?>" class="form-control" id="exampleInputEmail1" placeholder="أدخل أسم المنطقة باللغة العربية">

                              <p class="help-block">أدخل اسم المنطقة<p>

                            </div>

                                                            

                          </div>

                          <!-- /.box-body -->

                      </div>

                      <!-- /.box -->

                </div>

                    

                </form>    

            </div>

      </section><!-- /.content -->

</div><!-- /.content-wrapper -->

<script>

$(document).ready(function(){

	$(".chosen").chosen();

});

</script>

