<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-lg-12">
                    <div class="info-box">
                        <span class="info-box-icon bg-yellow icons_edit_top"><i class="fa fa-connectdevelop"></i></span>

                        <div class="info-box-content">
                            <strong><span class="info-box-text text-primary">Total Requested Service :</span></strong>
                            <span class="info-box-number "><?php echo $serviceCount ?></span>
                        </div>
                        <!-- /.info-box-content -->
                    </div>
                    <!-- /.info-box -->
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="box box-primary">

                        <!-- /.box-header -->
                        <div class="adminform">
                        <div class="text-center">
                            <span onclick="exportToexcel('#all_data')" class="btn btn-success export-btn">Export To Excel</span>
                        </div>
                        <!-- form start -->
                        <table id="all_data" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData tableForAllData" cellspacing="0" width="100%">
                            <thead>
                            <tr>
                                <th>id</th>
                                <th>Service Name</th>
                                <th>note</th>
                                <th>Date</th>
                                <th>Status</th>
                                <th>Action</th>
                            </tr>
                            </thead>
                            <tbody>
							<?php
								if(isset($serviceRequest) && is_array($serviceRequest))
								{
									foreach($serviceRequest as $key => $data)
									{
										echo '<tr id="row'.$data['id'].'">
                                                    <td>'.$data['id'].'</td>
                                                    <td>'.$serviceArTitle[$key]['title'] .' - '.$serviceEnTitle[$key]['title'].'</td>
                                                    <td>'.$data['note'].'</td>
                                                    <td>'.date("Y-m-d h:i:s A",$data['created']).'</td>
                                                 ';

										echo '</td>
                                                    <td>';
										if($data['status'] == 1)
										{
											echo '<span data-id="'.$data['id'].'" title="Change Status" data-target="on" class=" pointer status on update'.$data['id'].'">on</span>';
										}else{
											echo '<span data-id="'.$data['id'].'" title="Change Status" data-target="off" class=" pointer status off update'.$data['id'].'">off</span>';
										}
										echo'</td>
                                                    <td>
                                                        <ul class="actions">
                                                         <li><a href="'.BASE_URL."Customer/show_selected/".$data['id_customer'].'" class="" id="'.$data['id'].'"  title="Show"><i class="fa fa-eye" aria-hidden="true"></i></a></li>
                                                        </ul>
                                                    </td>
                                                  </tr>';
									}
								}else{
									echo '<tr><td colspan="6">No Data Found</td></tr>';
								}
							?>
                            </tbody>
                        </table>
                        </div>
                      </div>
                      <!-- /.box -->
                </div>
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->

<!-- Start Delete Modal -->
<div class="modal fade" id="deleteModal" role="dialog">
   <div class="modal-dialog">
      <!-- Modal content-->
      <div class="modal-content">
         <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal">&times;</button>
            <h4 class="modal-title">Confirm delete Your Data</h4>
         </div>
         <div class="modal-body">
            <div id="deleteResult"></div>
            <p>Are You Sure ? </p>
            <input type="submit"  class="btn btn-primary del" name="delete" value="Delete" />
         </div>
         <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
         </div>
      </div>
   </div>
</div>
<!--End Delete Modal-->


<script>
	$(document).ready(function(){
		$(".table_for_data").on( 'click', '.status', function () {
			var myId = $(this).attr("data-id");
			var myaction = "updateStatus";
			var mystatus = $(this).attr("data-target");
			var allData = {"action":myaction,"id":myId,"status":mystatus};
			$.ajax({
				url: "<?php echo BASE_URL.'ServiceRequest/updateStatus' ?>",
				type:"POST",
				data: allData,
				beforeSend:function(){
				},
				statusCode: {
					404: function() {
						alert( "page not found" );
					},
				},
				success:function(valdata) {
					var da = JSON.parse(valdata);
					if(da['status'] == "success")
					{
						if(mystatus == "on")
						{
							$(".update"+myId).removeClass("on") ;
							$(".update"+myId).html("off");
							$(".update"+myId).addClass("off");
							$(".update"+myId).attr("data-target","off");
						}else{
							$(".update"+myId).removeClass("off") ;
							$(".update"+myId).html("on");
							$(".update"+myId).addClass("on");
							$(".update"+myId).attr("data-target","on");
						}
					}else{
						alert("faild");
					}
				}
			});
			return false;
		});
	});
</script>
