<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">


                <!-- /.col -->
                <div class="col-lg-4">
                    <div class="info-box">
                        <span class="info-box-icon bg-yellow icons_edit_top"><i class="fa fa-flag-o"></i></span>

                        <div class="info-box-content">
                            <strong><span class="info-box-text text-primary">Total Orders :</span></strong>
                            <span class="info-box-number "><?php echo $totalOrders ?></span>
                        </div>
                        <!-- /.info-box-content -->
                    </div>
                    <!-- /.info-box -->
                </div>
                <div class="col-lg-4">
                    <div class="info-box">
                        <span class="info-box-icon bg-green icons_edit_top"><i class="fa fa-money"></i></span>

                        <div class="info-box-content">
                            <strong><span class="info-box-text text-primary">Orders  To Customer :</span></strong>
                            <span class="info-box-number "><?php echo $totalCountOfStarMonthlyOrderToCueomer ?></span>
                        </div>
                        <!-- /.info-box-content -->
                    </div>
                    <!-- /.info-box -->
                </div>
                <div class="col-lg-4">
                    <div class="info-box">
                        <span class="info-box-icon bg-aqua icons_edit_top"><i class="fa fa-car"></i></span>

                        <div class="info-box-content">
                            <strong><span class="info-box-text text-primary">Orders  To Vendors :</span></strong>
                            <span class="info-box-number "><?php echo $totalCountOfstarMonthlyOredrToVendor ?></span>
                        </div>
                        <!-- /.info-box-content -->
                    </div>
                    <!-- /.info-box -->
                </div>


            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                          <h3 class="box-title "><strong><span class="text text-primary">Orders Deliverd To Customer</span></strong></h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="adminform">
                        <div class="text-center">
                            <span onclick="exportToexcel('#all_data')" class="btn btn-success export-btn">Export To Excel</span>
                        </div>
                        <!-- form start -->
                        <table id="all_data" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData tableForAllData" cellspacing="0" width="100%">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Order Id</th>
                                    <th>Date</th>

                                </tr>
                            </thead>

                            <tbody>
                                <?php
                                    if(isset($starMonthlyOrderToCueomer) && is_array($starMonthlyOrderToCueomer))
                                    {
                                        foreach($starMonthlyOrderToCueomer as $key=>$data)
                                        {
                                            echo '<tr id="row'.$data['id'].'">
                                                    <td>'.$data['id'].'</td>
                                                    <td> <a href="'.BASE_URL."CustomerOrder/show_selected/".$data['id_order'].'">'.$data['id_order'].'</a></td>
                                                    <td>'.date("Y/m/d h:i:s A",$data['created']).'</td>                                  
                                                  </tr>';
                                        }
                                    }else{
                                        echo '<tr><td colspan="3">No Data Found</td></tr>';
                                    }

								?>
                            </tbody>
                            <tr><td colspan="3">Total Order Count = <span class="text text-primary"><strong> <?php echo $totalCountOfStarMonthlyOrderToCueomer?> </strong></span></td></tr>

                        </table>
                        </div>
                      </div>
                      <!-- /.box -->
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title "><strong><span class="text text-primary">Orders Deliverd To Vendor</span></strong></h3>
                        </div>
                        <!-- /.box-header -->
                        <div class="adminform">
                            <div class="text-center">
                                <span onclick="exportToexcel('#all_data1')" class="btn btn-success export-btn">Export To Excel</span>
                            </div>
                            <!-- form start -->

                            <table id="all_data1" class="table table_for_data table-striped table-bordered dt-responsive nowrap tableData tableForAllData" cellspacing="0" width="100%">
                                <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Order Id</th>
                                    <th>Date</th>

                                </tr>
                                </thead>

                                <tbody>
								<?php
									if(isset($starMonthlyOredrToVendor) && is_array($starMonthlyOredrToVendor))
									{
										foreach($starMonthlyOredrToVendor as $key=>$data)
										{
											echo '<tr id="row'.$data['id'].'">
                                                    <td>'.$data['id'].'</td>
                                                    <td> <a href="'.BASE_URL."CustomerOrder/show_selected/".$data['id_order'].'">'.$data['id_order'].'</a></td>
                                                    <td>'.date("Y/m/d h:i:s A",$data['created']).'</td>                                  
                                                  </tr>';
										}
									}else{
										echo '<tr><td colspan="3">No Data Found</td></tr>';
									}

								?>
                                </tbody>
                                <tr><td colspan="3">Total Order Count = <span class="text text-primary"><strong> <?php echo $totalCountOfstarMonthlyOredrToVendor?> </strong></span></td></tr>

                            </table>
                        </div>
                    </div>
                    <!-- /.box -->
                </div>
            </div>


      </section><!-- /.content -->
</div><!-- /.content-wrapper -->


<script>
$(document).ready(function(){
	//start update  status
        $(".table_for_data").on( 'click', '.status', function () {
             var myId = $(this).attr("data-id");
             var myaction = "updateStatus";
             var mystatus = $(this).attr("data-target");
             var allData = {"action":myaction,"id":myId,"status":mystatus};
            $.ajax({
                    url: "<?php echo BASE_URL.'offer/updateStatus' ?>",
                    type:"POST",
                    data: allData,
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                        },
                    },
                    success:function(valdata) {
                        var da = JSON.parse(valdata);
                        if(da['status'] == "success")
                        {
                          if(mystatus == "on")
                          {
                             $(".update"+myId).removeClass("on") ;
                             $(".update"+myId).html("off");
                             $(".update"+myId).addClass("off");
                             $(".update"+myId).attr("data-target","off");
                          }else{
                              $(".update"+myId).removeClass("off") ;
                              $(".update"+myId).html("on");
                             $(".update"+myId).addClass("on");
                              $(".update"+myId).attr("data-target","on");
                          }
                        }else{
                            alert("faild");
                        }
                    }
                });
                return false;
        });
        
        //end update status

});
</script>
