<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
             <?php
               echo isset($title) ? $title : NULL;
             ?>
          </h1>
        </section>
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="adminform">
                        <div class="text-center">
                            <span onclick="exportToexcel('#all_data')" class="btn btn-success export-btn">Export To Excel</span>
                        </div>    
					   <?php
                        if(isset($message))
                        {
                            echo $message;
                        }
                        ?>
                        <table id="tickets" class="table table-striped table-bordered dt-responsive nowrap tableData" cellspacing="0" width="100%">
                                <thead>
                                    <tr>
                                        <th>Ticket Id</th>
                                        <th>User Id</th>
                                        <th>User Name</th>
                                        <th>Message</th>
                                        <th>Status</th>
                                        <th>Date</th>
                                        <th>Actions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                        if(isset($tickets) && is_array($tickets))
                                        {
                                            foreach($tickets as $key=>$data)
                                            {
                                                echo '<tr id="row'.$data['id'].'" ';
                                                if($data['user_replayed'] == 1)
                                                {
                                                    echo 'class="newMessage"';
                                                }
                                                echo '>
                                                        <td>'.$data['id'].'</td>
                                                        <td>'.$users[$key]['id'].'</td>
                                                        <td>'.$users[$key]['name'].'</td>
                                                        <td>'.mb_substr($data['message'],0,20,"utf-8").'</td><td>';
                                                        if($data['closed'] == 1)
                                                        {
                                                            echo '<span id="'.$data['id'].'" title="update Status" data-target="on" class="status on update'.$data['id'].'">on</span>';
                                                        }else{
                                                            echo '<span id="'.$data['id'].'" title="update Status" data-target="off" class="status off update'.$data['id'].'">off</span>';
                                                        }	
                                                        echo '</td><td>'.date("Y-m-d H:i:s A",$data['created']).'</td>
                                                        <td>
                                                            <ul class="actions">
                                                             <li><a href="'.BASE_URL."ticket/show_selected/".$data['id'].'" class="" id="'.$data['id'].'"  title="View"><i class="fa fa-eye" aria-hidden="true"></i></a></li>
                                                            </ul>
                                                        </td>
                                                      </tr>';
                                            }
                                        }else{
                                            echo '<tr><td colspan="7">No Data Found</td></tr>';
                                        }
                                    ?>
                                </tbody>
                            </table>
                                
                        </div>
                    </div>
                    <!-- /.box -->
                </div>
            </div>
      </section><!-- /.content -->
</div><!-- /.content-wrapper -->
<script>
$(document).ready(function(){
    
	//start update  status
        $(".status").click(function(){
             var myId = $(this).attr("id");
             var myaction = "updateStatus";
             var mystatus = $(this).attr("data-target");
             var allData = {"action":myaction,"id":myId,"status":mystatus};
            $.ajax({
                    url: "<?php echo BASE_URL."ticket/updateStatus" ?>",
                    type:"POST",
                    data: allData,
                    beforeSend:function(){
                    },
                    statusCode: {
                     404: function() {
                       alert( "page not found" );
                        },
                    },
                    success:function(valdata) {
                        var da = jQuery.parseJSON(valdata);
                        if(da['status'] == "success")
                        {
                          if(mystatus == "on")
                          {
                             $(".update"+myId).removeClass("on") ;
                             $(".update"+myId).html("off");
                             $(".update"+myId).addClass("off");
                             $(".update"+myId).attr("data-target","off");
                          }else{
                              $(".update"+myId).removeClass("off") ;
                              $(".update"+myId).html("on");
                             $(".update"+myId).addClass("on");
                              $(".update"+myId).attr("data-target","on");
                          }
                        }else{
                            alert("faild");
                        }
                    }
                });
                return false;
        });
        
        //end update status
});
</script>

