<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
			<?php
				echo isset($title) ? $title : NULL;
			?>
        </h1>
    </section>
    <!-- Main content -->
    <section class="content">
        <div class="row">
            <form method="post">
                <div class="col-lg-12">
                    <div class="box box-primary">
                        <div class="box-header with-border">
                            <h3 class="box-title">Product Info</h3>
                        </div>
                        <!-- /.box-header -->
                        <!-- form start -->


                        <div class="box-body">
                            <table class="table table-bordered dt-responsive tablefordata">
                                <tr>
                                    <td><strong>Product Id</strong></td>
                                    <td><strong><?php echo $product['id'] ?></strong></td>
                                </tr>

                                <tr>
                                    <td><strong>category name  </strong></td>
                                    <td><strong><?php echo $categoriesEn['name'] ." - ". $categoriesAr['name'] ?></strong></td>
                                </tr>
                                <tr>
                                    <td><strong>Description</strong></td>
                                    <td><strong><?php echo $ar_product['description'] ?></strong></td>
                                </tr>

                                <tr>
                                    <td><strong>Created By</strong></td>
                                    <td>
                                        <strong>
											<?php
												echo $createdBy['name']
											?>
                                        </strong>
                                    </td>
                                </tr>

                                <tr>
                                    <td><strong>Product Created</strong></td>
                                    <td><strong><?php echo date("Y/m/d h:i:s A",$product['created']); ?></strong></td>
                                </tr>
                                <tr>
                                    <td colspan="2">


                                        <a href="<?php echo BASE_URL."NoteBook/add_notebook_resseller/".$product['id']; ?>" class="btn btn-primary">
                                            <i class="fa fa-eye" aria-hidden="true"></i> Show Vindor Offer
                                        </a>


                                    </td>
                                </tr>

                            </table>

                        </div>
                        <!-- /.box-body -->
                    </div>
                    <!-- /.box -->
                </div>

            </form>

        </div>

    </section><!-- /.content -->
</div><!-- /.content-wrapper -->
<!-- Start edit Image Modal -->
<div class="modal fade" id="update-img" role="dialog">
    <div class="modal-dialog modal-md">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Edit Image</h4>
            </div>
            <div class="modal-body">
                <div id="updateImageResult"></div>
                <div class="row">
                    <div class="col-lg-9 pull-left">
                        <form id="updateImage" method="post" enctype="multipart/form-data">
                            <div class="form-group">
                                <label for="category-image"> Image</label>
                                <input type="file" name="image_name" id="image-file">
                                <p class="help-block">Choose Image.</p>
                            </div>
                            <input type="hidden" value=""  class="field_id" name="field_id" />
                            <input type="submit" class="btn btn-primary updatebtn" name="editImage" value="Save" />
                            <span class="loadingImage">
					  	<img src="customize\backend\images\Preloader_61.gif" />
					  </span>
                        </form>
                    </div>
                    <div class="col-lg-3 pull-right">
                        <img src="" alt="" title="Edit Image" class="img-responsive old-image" />
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
<!--End Edit Image Modal-->
<script>
	$(document).ready(function(){
		// start edit image
		$("body").on( 'click', '.img-edit', function () {
			$("#updateImageResult").html("");
			// get id for update
			var myId = $(this).attr("data-id");

			// get image
			var image = $(this).attr("src");
			// set image into model
			$(".old-image").attr("src",image);
			// set  id in hidden input
			$(".field_id").attr("value",myId);
			$("#updateImage").submit(function(){
				$.ajax({
					url: "<?php echo BASE_URL."Product/update_image"; ?>",
					type: "POST",
					data: new FormData(this), // Data sent to server, a set of key/value pairs (i.e. form fields and values)
					contentType: false,       // The content type used when sending data to the server.
					processData:false,
					beforeSend:function(){
						$(".loadingImage").show();
					},
					statusCode: {
						404: function() {
							alert( "page not found" );
						},
					},
					success:function(valdata) {
						$(".loadingImage").hide();
						var da = jQuery.parseJSON(valdata);
						if(da['status'] == "success")
						{
							$("#updateImageResult").html('<div class="alert alert-success" role="alert"><strong>Success </strong> Image Updated Successfuly </div>');
							$('#update-img').modal('hide')
							// get image row id to change image when success
							var filedId = $(".field_id").val();
							$('.imagenumber'+filedId).attr("src","<?php echo UPLOAD_LINK; ?>"+da['newImage']);

						}else{
							$("#updateImageResult").html('<div class="alert alert-danger" role="alert"><strong> Error ! </strong> Error Update Your Image (Not Allowed Image Extension Or You Did Not Choose Image)</div>');
						}
					}
				});
				return false;
			});
		});
		// end edit image

		//end update status
	});
</script>